import l from "../widgets/AppLink.vue.mjs";
import { truncate as p, getTranslationFor as m } from "../utils/helpers.mjs";
import { resolveComponent as u, openBlock as s, createElementBlock as n, createElementVNode as e, createTextVNode as o, toDisplayString as i, createVNode as f, withCtx as g } from "vue";
import _ from "../assets/icon/icon-nextcircled.svg.mjs";
import "./CatalogPageDatasetCard.vue2.mjs";
import x from "../_virtual/_plugin-vue_export-helper.mjs";
const D = {
  name: "DatasetCard",
  components: {
    AppLink: l
  },
  props: {
    /**
     * The dataset details to display.
     */
    datasetTitle: String,
    datasetDescription: String,
    datasetCatalog: String,
    /**
     * The route to navigate to when clicking on the dataset.
     */
    to: {
      type: String,
      required: !0
    },
    /**
     * Specified the maximum length of the description before it is cut off.
     */
    descriptionMaxLength: {
      type: Number,
      default: 200
    },
    cardIcon: String
  },
  computed: {
    truncatedDescription() {
      return this.descriptionMaxLength && p(this.datasetDescription, this.descriptionMaxLength);
    }
  },
  methods: {
    getTranslationFor: m
  }
}, v = { class: "cp-dataset-card d-flex flex-column" }, h = { class: "cp-dataset-card-container d-flex flex-column justify-content-between" }, k = { class: "cp-dataset-card-text" }, y = { class: "cp-dataset-card-header" }, b = {
  key: 0,
  class: "cp-dataset-card-description"
}, S = {
  key: 1,
  class: "cp-dataset-card-description text-muted font-italic m-0",
  "data-cy": "dataset-description"
}, C = {
  class: "cp-dataset-card-icon",
  role: "button"
};
function L(r, t, a, M, N, d) {
  const c = u("app-link");
  return s(), n("div", v, [
    t[4] || (t[4] = e("div", { class: "cp-dataset-card-caption" }, [
      e("em", null, "Empfehlung vom Datenbereitsteller")
    ], -1)),
    t[5] || (t[5] = o()),
    e("div", h, [
      e("div", k, [
        e("span", y, i(a.datasetTitle), 1),
        t[0] || (t[0] = e("br", null, null, -1)),
        t[1] || (t[1] = o()),
        a.datasetDescription ? (s(), n("p", b, i(a.descriptionMaxLength ? d.truncatedDescription : a.datasetDescription), 1)) : (s(), n("span", S, i(r.$t("message.catalogsAndDatasets.noDescriptionAvailable")), 1))
      ]),
      t[3] || (t[3] = o()),
      e("div", C, [
        f(c, { to: a.to }, {
          default: g(() => t[2] || (t[2] = [
            e("img", {
              src: _,
              alt: "Zum Datensatz"
            }, null, -1)
          ])),
          _: 1
        }, 8, ["to"])
      ])
    ])
  ]);
}
const j = /* @__PURE__ */ x(D, [["render", L]]);
export {
  j as default
};
//# sourceMappingURL=CatalogPageDatasetCard.vue.mjs.map
