declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    modalId: {
        type: StringConstructor;
        required: true;
    };
    citationStyle: {
        type: StringConstructor;
        required: true;
    };
    availableCitationStyles: {
        type: ObjectConstructor;
        required: true;
    };
}>, {}, {
    currentCitationId: null;
    citation: null;
}, {
    /**
     * Provide bibliography html based on current citation and citation style
     */
    bibliographyHtml(): any;
    /**
     * Provide bibliography text for clipboard content
     */
    bibliographyText(): any;
    isReady(): false | null;
    getLoading: import('vuex').Computed;
    getID: import('vuex').Computed;
}, {
    /**
     * Retrieves Citation Style Language (CSL) based on current dataset in store
     * Side-effect: sets vm.citation to the resulting citation object
     * @param vm Vue instance
     */
    retrieveCitation: (vm: any) => Promise<any>;
    /**
     * Handle export of the citation
     *
     * @param {Object} format - The export format object
     * @param {String} format.args - The arguments to be passed into citation.format
     * @param {String} format.postprocess - A function to be called on the result of citation.format
     * @param {String} format.extension - The file extension
     * @param {String} format.filename - The filename
     */
    /**
     * Download the given content as a file
     *
     * @see https://stackoverflow.com/a/45831280
     *
     * @param {String} filename - The filename
     * @param {String} content - The content to be downloaded
     */
    /**
     * Copy the bibliography to the clipboard
     */
    handleCopyToClipboard(): Promise<void>;
}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, "ready"[], "ready", import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    modalId: {
        type: StringConstructor;
        required: true;
    };
    citationStyle: {
        type: StringConstructor;
        required: true;
    };
    availableCitationStyles: {
        type: ObjectConstructor;
        required: true;
    };
}>> & Readonly<{
    onReady?: ((...args: any[]) => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
