import * as z from 'zod';
export declare const routingSchema: z.ZodDefault<z.ZodObject<{
    routerOptions: z.ZodDefault<z.ZodObject<{
        base: z.ZodDefault<z.ZodString>;
        mode: z.ZodDefault<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        base: string;
        mode: string;
    }, {
        base?: string | undefined;
        mode?: string | undefined;
    }>>;
    navigation: z.ZodDefault<z.ZodObject<{
        showSparql: z.ZodDefault<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        showSparql: boolean;
    }, {
        showSparql?: boolean | undefined;
    }>>;
    pagination: z.ZodDefault<z.ZodObject<{
        usePagination: z.ZodDefault<z.ZodBoolean>;
        usePaginationArrows: z.ZodDefault<z.ZodBoolean>;
        useItemsPerPage: z.ZodDefault<z.ZodBoolean>;
        defaultItemsPerPage: z.ZodDefault<z.ZodNumber>;
        defaultItemsPerPageOptions: z.ZodDefault<z.ZodArray<z.ZodNumber, "many">>;
    }, "strip", z.ZodTypeAny, {
        usePagination: boolean;
        usePaginationArrows: boolean;
        useItemsPerPage: boolean;
        defaultItemsPerPage: number;
        defaultItemsPerPageOptions: number[];
    }, {
        usePagination?: boolean | undefined;
        usePaginationArrows?: boolean | undefined;
        useItemsPerPage?: boolean | undefined;
        defaultItemsPerPage?: number | undefined;
        defaultItemsPerPageOptions?: number[] | undefined;
    }>>;
}, "strip", z.ZodTypeAny, {
    routerOptions: {
        base: string;
        mode: string;
    };
    navigation: {
        showSparql: boolean;
    };
    pagination: {
        usePagination: boolean;
        usePaginationArrows: boolean;
        useItemsPerPage: boolean;
        defaultItemsPerPage: number;
        defaultItemsPerPageOptions: number[];
    };
}, {
    routerOptions?: {
        base?: string | undefined;
        mode?: string | undefined;
    } | undefined;
    navigation?: {
        showSparql?: boolean | undefined;
    } | undefined;
    pagination?: {
        usePagination?: boolean | undefined;
        usePaginationArrows?: boolean | undefined;
        useItemsPerPage?: boolean | undefined;
        defaultItemsPerPage?: number | undefined;
        defaultItemsPerPageOptions?: number[] | undefined;
    } | undefined;
}>>;
