import A from "axios";
import m from "jquery";
import "lodash-es";
import { mapGetters as k, mapActions as y } from "vuex";
import T from "./components/Dropup.vue.mjs";
import { useWindowScroll as U } from "../external/@vueuse/core/index";
import { resolveComponent as $, openBlock as u, createElementBlock as g, createElementVNode as d, toDisplayString as c, createTextVNode as n, createVNode as p, withCtx as h, Fragment as b, renderList as C, createBlock as P, resolveDynamicComponent as q, normalizeClass as _, renderSlot as O, createCommentVNode as v } from "vue";
import "./DPIMenu.vue2.mjs";
import L from "../_virtual/_plugin-vue_export-helper.mjs";
const z = {
  name: "DPI-menu",
  components: {
    Dropup: T
  },
  props: {},
  data() {
    return {
      visible: !0,
      modal: {
        show: !1,
        loading: !1,
        error: null,
        message: "",
        confirm: "Ok",
        confirmHandler: () => null
      }
    };
  },
  setup() {
    return {
      scrollToTop: () => {
        let { x: e, y: o } = U({ behavior: "smooth" });
        o.value = 0;
      }
    };
  },
  computed: {
    ...k("datasetDetails", [
      "getCatalog",
      "getID",
      "getLoading",
      "getTitle",
      "getDescription"
    ]),
    ...k("auth", [
      "getUserData"
    ]),
    menuGroups() {
      return [
        {
          group: "Dataset",
          items: [
            {
              key: "create-dataset",
              name: "createDataset",
              to: {
                name: "DataProviderInterface-Input",
                query: { locale: this.$route.query.locale, edit: !1 },
                // if edit is false -> reset is triggered
                params: { property: "datasets" }
              }
            },
            {
              name: "deleteDataset",
              disabled: !this.isLocatedOnAuthorizedDatasetPage,
              handler: () => {
                this.modal = {
                  ...this.modal,
                  message: this.$t("message.dataupload.menu.datasetDeletion.message"),
                  confirm: this.$t("message.dataupload.menu.datasetDeletion.confirm"),
                  confirmHandler: () => this.handleDelete({ id: this.getID, property: "datasets", catalog: this.getCatalog.id })
                }, m("#modal").modal({ show: !0 });
              }
            },
            {
              key: "edit-dataset",
              name: "editDataset",
              onlyAuthorizedDatasetPage: !0,
              disabled: !this.isLocatedOnAuthorizedDatasetPage,
              to: {
                name: "DataProviderInterface-Edit",
                params: {
                  catalog: this.getCatalog.id || "undefined",
                  property: "datasets",
                  id: this.getID || "undefined"
                },
                query: {
                  draft: !1,
                  locale: this.$route.query.locale
                }
              }
            },
            {
              key: "draft-dataset",
              name: "setToDraft",
              disabled: !this.isLocatedOnAuthorizedDatasetPage,
              handler: () => {
                this.modal = {
                  ...this.modal,
                  message: this.$t("message.dataupload.menu.markAsDraft.message"),
                  confirm: this.$t("message.dataupload.menu.markAsDraft.confirm"),
                  confirmHandler: () => this.handleMarkAsDraft({
                    id: this.getID,
                    catalog: this.getCatalog.id,
                    title: this.getTitle,
                    description: this.getDescription
                  })
                }, m("#modal").modal({ show: !0 });
              }
            },
            {
              key: "register-dataset",
              name: "registerDoi",
              disabled: !this.isLocatedOnAuthorizedDatasetPage,
              handler: () => {
                this.modal = {
                  ...this.modal,
                  message: this.$t("message.dataupload.menu.registerADoi.message"),
                  confirm: this.$t("message.dataupload.menu.registerADoi.confirm"),
                  confirmHandler: () => this.handleRegisterDoi({ id: this.getID, catalog: this.getCatalog.id, type: this.$env.content.dataProviderInterface.doiRegistrationService.persistentIdentifierType || "mock" })
                }, m("#modal").modal({ show: !0 });
              }
            }
          ]
        },
        {
          group: "Catalogue",
          items: [
            {
              name: "CreateCatalogue",
              to: {
                name: "DataProviderInterface-Input",
                query: { locale: this.$route.query.locale, edit: !1 },
                params: { property: "catalogues" }
              }
            },
            {
              name: "DeleteCatalogue",
              disabled: !this.isLocatedOnAuthorizedCatalogPage,
              handler: () => {
                this.modal = {
                  ...this.modal,
                  message: "Are you sure you want to delete this catalogue? This can not be reverted!",
                  confirm: "Delete catlogue (irreversible)",
                  confirmHandler: () => this.handleDelete({ id: this.$route.params.ctlg_id, property: "catalogues", catalog: this.$route.params.ctlg_id })
                }, m("#modal").modal({ show: !0 });
              }
            },
            {
              name: "EditCatalog",
              onlyAuthorizedDatasetPage: !0,
              disabled: !this.isLocatedOnAuthorizedCatalogPage,
              to: {
                name: "DataProviderInterface-Edit",
                params: {
                  catalog: this.$route.params.ctlg_id ? this.$route.params.ctlg_id : "undefined",
                  property: "catalogues",
                  id: this.getID || "undefined"
                },
                query: {
                  draft: !1,
                  locale: this.$route.query.locale
                }
              }
            }
          ]
        }
      ];
    },
    menuItems() {
      return [
        {
          name: this.$t("message.dataupload.menu.draftDatasets"),
          to: { name: "DataProviderInterface-Draft", query: { locale: this.$route.query.locale } }
        },
        {
          name: this.$t("message.dataupload.menu.myCatalogues"),
          to: { name: "DataProviderInterface-UserCatalogues", query: { locale: this.$route.query.locale } }
        },
        {
          name: this.$t("message.dataupload.menu.userProfile"),
          to: { name: "DataProviderInterface-UserProfile", query: { locale: this.$route.query.locale } }
        }
      ];
    },
    isLocatedOnAuthorizedDatasetPage() {
      if (this.getLoading)
        return !1;
      const t = this.$route.name === "DatasetDetailsDataset";
      if (!t)
        return !1;
      const e = t && this.$route.params.ds_id, o = this.getUserData && this.getUserData.permissions, s = this.getCatalog && this.getCatalog.id;
      return o.find((i) => i.rsname === s) && t && e === this.getID;
    },
    isLocatedOnAuthorizedCatalogPage() {
      if (this.getLoading)
        return !1;
      const t = this.$route.name === "CatalogueDetails";
      return t ? (t && this.$route.params.ctlg_id, t) : !1;
    }
  },
  methods: {
    ...y("auth", [
      "updateUserData"
    ]),
    ...y("snackbar", [
      "showSnackbar"
    ]),
    setupKeycloakWatcher() {
      this.$keycloak && this.$keycloak.authenticated && (this.$watch("$keycloak.token", async (t) => {
        if (!t)
          return;
        let e = this.$keycloak.rtpToken;
        if (!e) {
          const o = this.$keycloak.getRtpToken;
          o && (e = await o({ autoRefresh: !0 }));
        }
        this.updateUserData({
          authToken: t,
          rtpToken: e,
          hubUrl: this.$env.api.hubUrl
        });
      }, { immediate: !0 }), this.$watch("$keycloak.rtpToken", (t) => {
        t && this.updateUserData({
          authToken: this.$keycloak.token,
          rtpToken: t,
          hubUrl: this.$env.api.hubUrl
        });
      }));
    },
    async handleConfirm(t, e, { successMessage: o, errorMessage: s }) {
      this.modal.loading = !0;
      try {
        this.$Progress.start(), await new Promise((a) => setTimeout(a, 250)), this.$Progress.set(25), await this.$store.dispatch(t, e), this.showSnackbar({
          message: o,
          variant: "success"
        }), await new Promise((a) => setTimeout(a, 250)), this.$Progress.finish();
      } catch (a) {
        this.$Progress.fail(), console.error(a);
        const i = a.response && a.response.data && a.response.data.message;
        this.modal = {
          ...this.modal,
          // Need to translate this
          message: "DOI registration is not possible, the following error occured: " + a.response.data,
          confirm: "Okay",
          confirmHandler: () => m("#modal").modal("hide")
        }, console.log(a.response.data);
        let r = typeof s == "string" && s;
        r = typeof s == "function" && s(a), r = typeof s == "object" && s.prefix + " - " + a.response.data, console.log(s);
        const f = r || i || a.message || "An error occurred";
        this.showSnackbar({
          message: f,
          variant: "error"
        });
      } finally {
        this.modal.loading = !1, m("#modal").modal("hide");
      }
    },
    async handleRegisterDoi({ id: t, catalog: e, type: o = "eu-ra-doi" }) {
      await this.handleConfirm(
        "auth/createPersistentIdentifier",
        { id: t, catalog: e, type: o },
        {
          successMessage: this.$te("message.snackbar.doiRegistration.success") ? this.$t("message.snackbar.doiRegistration.success") : "Successfully registered DOI",
          errorMessage: { prefix: this.$te("message.snackbar.doiRegistration.error") ? this.$t("message.snackbar.doiRegistration.error") : "DOI registration failed" }
        }
      );
    },
    async handleMarkAsDraft({
      id: t,
      catalog: e,
      title: o,
      description: s
    }) {
      await this.handleConfirm("auth/putDatasetToDraft", {
        id: t,
        catalog: e,
        title: o,
        description: s
      }, {
        successMessage: this.$te("message.snackbar.markAsDraft.success") ? this.$t("message.snackbar.markAsDraft.success") : "Dataset successfully marked as draft",
        errorMessage: { prefix: this.$te("message.snackbar.markAsDraft.error") ? this.$t("message.snackbar.markAsDraft.error") : "Failed to mark dataset as draft" }
      }), this.$router.push({ name: "DataProviderInterface-Draft", query: { locale: this.$route.query.locale } }).catch(() => {
      });
    },
    async handleDelete({ id: t, property: e, catalog: o }) {
      var s, a;
      this.modal.loading = !0, this.$Progress.start();
      try {
        let i;
        e === "datasets" ? i = `${this.$env.api.hubUrl}datasets/${t}?useNormalizedId=true&catalogue=${o}` : e === "catalogues" && (i = `${this.$env.api.hubUrl}catalogues/${t}`), await A.delete(i, {
          headers: {
            "Content-Type": "text/turtle",
            Authorization: `Bearer ${this.getUserData.rtpToken}`
          }
        });
        let r;
        e === "datasets" ? r = this.$te("message.snackbar.deleteDataset.success") ? this.$t("message.snackbar.deleteDataset.success") : "Dataset successfully deleted" : e === "catalogues" && (r = this.$te("message.snackbar.deleteCatalog.success") ? this.$t("message.snackbar.deleteCatalog.success") : "Catalog successfully deleted"), this.showSnackbar({
          message: r,
          variant: "success"
        }), this.$Progress.finish(), this.$router.push({ name: "Datasets", query: { locale: this.$route.query.locale, refresh: !0 } }).catch(() => {
        });
      } catch (i) {
        this.$Progress.fail();
        let r;
        e === "datasets" ? r = this.$te("message.snackbar.deleteDataset.error") ? this.$t("message.snackbar.deleteDataset.error") : "Failed to delete dataset" : e === "catalogues" && (r = this.$te("message.snackbar.deleteCatalog.error") ? this.$t("message.snackbar.deleteCatalog.error") : "Failed to delete catalog"), this.showSnackbar({
          message: `${r}${(s = i.response) != null && s.data ? ` — ${(a = i.response) == null ? void 0 : a.data}` : i.message}`,
          variant: "error"
        });
      } finally {
        this.modal.loading = !1, m("#modal").modal("hide");
      }
    }
  },
  created() {
    this.setupKeycloakWatcher();
  }
}, S = {
  id: "navWrapper",
  "data-cy": "dpi-menu"
}, H = { key: 0 }, M = { class: "text-white" }, N = { class: "btn btn-default" }, R = { class: "btn btn-default" }, E = { style: { "margin-top": "1%" } }, x = { class: "btn-group dropup" }, F = {
  key: 0,
  class: "logoutWrap"
}, W = { class: "text-white" }, B = {
  type: "button",
  class: "btn btn-default logout"
};
function G(t, e, o, s, a, i) {
  const r = $("router-link"), f = $("dropup"), I = $("app-confirmation-dialog");
  return u(), g("div", S, [
    a.visible ? (u(), g("nav", H, [
      d("div", null, [
        d("h4", M, c(t.$t("message.dataupload.menu.dpi")), 1)
      ]),
      e[7] || (e[7] = n()),
      d("button", N, [
        p(r, { to: { name: "DPI-Home-HappyFlow" } }, {
          default: h(() => e[1] || (e[1] = [
            n("DPI Home")
          ])),
          _: 1
        })
      ]),
      e[8] || (e[8] = n()),
      d("button", R, [
        p(r, { to: { name: "DPI-Comp-Lib" } }, {
          default: h(() => e[2] || (e[2] = [
            n("Component Library")
          ])),
          _: 1
        })
      ]),
      e[9] || (e[9] = n()),
      d("div", E, [
        (u(!0), g(b, null, C(i.menuGroups, (l, D) => (u(), P(f, {
          key: `Group${D}`,
          groupName: l.group,
          groupItems: l.items,
          show: t.$env.content.dataProviderInterface.buttons[l.group],
          isOperator: t.getUserData.roles.includes("operator"),
          isCatalog: l.group === "Catalogue"
        }, null, 8, ["groupName", "groupItems", "show", "isOperator", "isCatalog"]))), 128)),
        e[3] || (e[3] = n()),
        d("ul", null, [
          d("div", x, [
            (u(!0), g(b, null, C(i.menuItems, (l, D) => (u(), g("li", {
              key: `Menu${D}`
            }, [
              d("button", {
                type: "button",
                class: "btn btn-default",
                onClick: e[0] || (e[0] = (w) => s.scrollToTop())
              }, [
                (u(), P(q(l.handler ? "button" : "router-link"), {
                  class: _({ disabled: l.disabled }),
                  to: l.to,
                  onClick: (w) => l.handler ? l.handler() : null
                }, {
                  default: h(() => [
                    n(c(l.handler) + " " + c(l.name), 1)
                  ]),
                  _: 2
                }, 1032, ["class", "to", "onClick"]))
              ])
            ]))), 128))
          ])
        ])
      ]),
      e[10] || (e[10] = n()),
      t.getUserData.userName ? (u(), g("div", F, [
        O(t.$slots, "right", { getUserData: t.getUserData }, () => [
          d("small", W, c(t.$t("message.dataupload.menu.loggedInAs")) + " " + c(t.getUserData.userName), 1),
          e[4] || (e[4] = n()),
          e[5] || (e[5] = d("br", null, null, -1)),
          e[6] || (e[6] = n()),
          d("button", B, [
            p(r, { to: { name: "Logout" } }, {
              default: h(() => [
                n(c(t.$t("message.dataupload.menu.logout")), 1)
              ]),
              _: 1
            })
          ])
        ], !0)
      ])) : v("", !0)
    ])) : v("", !0),
    e[11] || (e[11] = n()),
    p(I, {
      id: "DPIMenuModal",
      loading: a.modal.loading,
      confirm: a.modal.confirm,
      onConfirm: a.modal.confirmHandler
    }, {
      default: h(() => [
        n(c(a.modal.message), 1)
      ]),
      _: 1
    }, 8, ["loading", "confirm", "onConfirm"])
  ]);
}
const te = /* @__PURE__ */ L(z, [["render", G], ["__scopeId", "data-v-4a6356e6"]]);
export {
  te as default
};
//# sourceMappingURL=DPIMenu.vue.mjs.map
