import { defineComponent as u, resolveComponent as a, openBlock as t, createElementBlock as n, mergeProps as m, createBlock as d, createCommentVNode as r, createTextVNode as l, toDisplayString as f, createVNode as y } from "vue";
import "../../config/styles/variables.css.mjs";
import "../../config/styles/typography.css.mjs";
import { PhTrash as P, PhCopySimple as b } from "@phosphor-icons/vue";
import "./TextButtonSmall.vue2.mjs";
import C from "../../../_virtual/_plugin-vue_export-helper.mjs";
const k = u({
  name: "TextButtonSmall",
  components: {
    PhTrash: P,
    PhCopySimple: b
  },
  props: {
    buttonText: {
      type: String,
      required: !1
    },
    size: {
      type: String,
      default: "small"
    },
    iconStart: {
      type: Boolean,
      default: null
    },
    iconEnd: {
      type: Boolean,
      default: null
    },
    disabled: {
      type: Boolean,
      default: !1
    },
    iconName: {
      type: String,
      default: "trash"
    }
  },
  data() {
    return {
      isHovered: !1,
      isPressed: !1
    };
  },
  computed: {
    buttonClass() {
      const e = this.$attrs.class || "";
      return [
        "dpiV3_text-button-small",
        { "dpiV3_text-button-disabled": this.disabled },
        e
      ];
    },
    iconSizeClass() {
      return ["dpiV3_icon-small", this.$attrs.class || ""];
    },
    iconColor() {
      return this.disabled ? "#67C5F0" : this.isPressed ? "#009FE3" : this.isHovered ? "#003F6F" : "#0172AD";
    }
  },
  methods: {
    async onPress(e) {
      e.preventDefault(), this.isPressed = !0;
    },
    onKeyPress(e) {
      (e.key === "Enter" || e.key === " " || e.key === "Spacebar") && (e.preventDefault(), this.isPressed = !0);
    },
    onKeyRelease(e) {
      (e.key === "Enter" || e.key === " " || e.key === "Spacebar") && (e.preventDefault(), this.isPressed = !1, this.disabled || this.$emit("click", e));
    }
  }
}), S = ["disabled"], h = {
  key: 0,
  class: "dpiV3_icon-small"
}, $ = { key: 1 }, T = {
  key: 2,
  class: "dpiV3_icon-small"
};
function V(e, s, B, K, v, E) {
  const i = a("PhTrash"), p = a("PhCopySimple");
  return t(), n("button", m({
    tabindex: "0",
    class: [e.buttonClass, { "dpiV3_text-button-pressed": e.isPressed }],
    disabled: e.disabled,
    onMousedown: s[0] || (s[0] = (...o) => e.onPress && e.onPress(...o)),
    onMouseup: s[1] || (s[1] = (o) => e.isPressed = !1),
    onKeydown: s[2] || (s[2] = (...o) => e.onKeyPress && e.onKeyPress(...o)),
    onKeyup: s[3] || (s[3] = (...o) => e.onKeyRelease && e.onKeyRelease(...o)),
    onMouseover: s[4] || (s[4] = (o) => e.isHovered = !0),
    onMouseleave: s[5] || (s[5] = () => {
      e.isHovered = !1, e.isPressed = !1;
    })
  }, e.$attrs), [
    e.iconStart ? (t(), n("span", h, [
      e.iconName === "trash" ? (t(), d(i, {
        key: 0,
        size: 24,
        color: e.iconColor
      }, null, 8, ["color"])) : r("", !0),
      s[6] || (s[6] = l()),
      e.iconName === "copy" ? (t(), d(p, {
        key: 1,
        size: 24,
        color: e.iconColor
      }, null, 8, ["color"])) : r("", !0)
    ])) : r("", !0),
    s[7] || (s[7] = l()),
    e.buttonText ? (t(), n("span", $, f(e.buttonText), 1)) : r("", !0),
    s[8] || (s[8] = l()),
    e.iconEnd ? (t(), n("span", T, [
      y(i, {
        size: 24,
        color: e.iconColor
      }, null, 8, ["color"])
    ])) : r("", !0)
  ], 16, S);
}
const M = /* @__PURE__ */ C(k, [["render", V], ["__scopeId", "data-v-a60560ae"]]);
export {
  M as default
};
//# sourceMappingURL=TextButtonSmall.vue.mjs.map
