import k from "jquery";
import { isNil as N } from "lodash-es";
import { mapGetters as E, mapActions as D } from "vuex";
import { useWindowScroll as P } from "../../external/@vueuse/core/index";
import U from "axios";
import { getCurrentInstance as q, resolveComponent as w, openBlock as o, createElementBlock as g, createElementVNode as v, createBlock as p, createCommentVNode as n, createTextVNode as r, createVNode as T, withCtx as f, toDisplayString as b } from "vue";
import "vue-i18n";
import "./Navigation.vue2.mjs";
import M from "../../_virtual/_plugin-vue_export-helper.mjs";
const x = {
  name: "Navigation",
  props: ["steps", "nextStep", "previousStep", "goToNextStep", "goToPreviousStep"],
  data() {
    return {
      instance: q().appContext.app.config.globalProperties.$env,
      uploading: {
        dataset: !1,
        draft: !1
      },
      modal: {
        confirm: "",
        message: "",
        callback: ""
      },
      modals: {
        id: {
          confirm: "",
          message: "Dataset ID already exists",
          callback: this.closeModal
        },
        clear: {
          confirm: "",
          message: "",
          callback: this.clearStorage
        }
      },
      property: this.$route.params.property,
      id: this.$route.params.id
    };
  },
  setup() {
    return {
      scrollToTop: () => {
        let { x: e, y: s } = P({ behavior: "smooth" });
        s.value = 0;
      }
    };
  },
  computed: {
    ...E("auth", [
      "getIsEditMode",
      "getIsDraft",
      "getUserData"
    ]),
    ...E("dpiStore", [
      "getData"
    ]),
    formErrorCount() {
      let t = 0;
      return Object.keys(this.steps).forEach((e) => {
        t = t + this.steps[e].blockingCount;
      }), t > 0;
    }
  },
  created() {
    this.modals.clear.message = this.$t("message.dataupload.modal.resetForm"), this.modals.clear.confirm = this.$t("message.dataupload.modal.confirmReset");
  },
  methods: {
    ...D("auth", [
      "setIsEditMode",
      "setIsDraft"
    ]),
    ...D("snackbar", [
      "showSnackbar"
    ]),
    ...D("dpiStore", [
      "convertToRDF",
      "clearAll"
      // 'deleteDistribution',
      // 'setDeleteDistributionInline',
    ]),
    closeModal() {
      k("#modal").modal("hide");
    },
    handleIDError() {
      this.modal = this.modals.id, k("#modal").modal({ show: !0 });
    },
    handleClear() {
      this.modal = this.modals.clear, k("#modal").modal({ show: !0 });
    },
    clearStorage() {
      this.closeModal(), this.$formkit.reset("dpiForm"), this.clearAll();
    },
    async submit(t) {
      var I, $, C, S;
      this.uploading[t] = !0, (I = this.$Progress) == null || I.start();
      const e = this.$env.content.dataProviderInterface.specification, s = await this.convertToRDF({ property: this.property, specification: e }).then((y) => y), m = this.getUserData.rtpToken, a = this.getData(this.property).datasetID, i = this.getData(this.property)["dct:title"], l = this.getData(this.property)["dct:description"], u = this.getData(this.property)["dcat:catalog"] ? this.getData(this.property)["dcat:catalog"] : "";
      let d, c, h = {
        id: a,
        catalog: u,
        body: s,
        title: i,
        description: l
      };
      t === "dataset" ? !this.getIsEditMode || this.getIsEditMode && !this.getIsDraft || this.getIsEditMode && this.getIsDraft && localStorage.getItem("dpi_duplicate") ? (d = `${this.$env.api.hubUrl}datasets?id=${a}&catalogue=${u}`, h = { data: s, token: m, url: d }, c = "auth/createDataset") : (h = { id: a, catalog: u }, c = "auth/publishUserDraftById") : t === "draft" ? !this.getIsEditMode || this.getIsEditMode && this.getIsDraft ? (d = `${this.$env.api.hubUrl}drafts/datasets/${a}?catalogue=${u}`, c = "auth/createUserDraft") : (h = { id: a, catalog: u, title: i, description: l }, c = "auth/putDatasetToDraft") : t === "createcatalogue" && (d = `${this.$env.api.hubUrl}catalogues/${a}`, h = { data: s, token: m, url: d, id: a }, c = "auth/createCatalogue");
      try {
        this.idunique(a) ? (await this.$store.dispatch(c, h), ($ = this.$Progress) == null || $.finish(), this.uploading[t] = !1, t === "createcatalogue" && this.createCatalogue(a), t === "dataset" && this.createDataset(a), t === "draft" && this.createDraft(), this.clearAll()) : (this.uploading[t] = !1, (C = this.$Progress) == null || C.fail(), this.handleIDError());
      } catch (y) {
        console.error(y), this.uploading[t] = !1, (S = this.$Progress) == null || S.fail(), this.showSnackbar({ message: "Network Error", variant: "error" });
      }
    },
    createDataset(t) {
      this.clearAll(), this.showSnackbar({ message: this.$t("message.dataupload.snackBar.datasetPublished"), variant: "success" }), this.$router.push({ name: "DatasetDetailsDataset", params: { ds_id: t }, query: { locale: this.$route.query.locale } }).then(() => {
        this.$router.go(0);
      });
    },
    createDraft() {
      this.clearAll(), this.showSnackbar({ message: this.$t("message.dataupload.snackBar.draftCreated"), variant: "success" }), this.$router.push({ name: "DataProviderInterface-Draft", query: { locale: this.$route.query.locale } }).catch(() => {
      });
    },
    createCatalogue(t) {
      this.clearAll(), this.showSnackbar({ message: this.$t("message.dataupload.snackBar.catalogPublished"), variant: "success" }), this.$router.push({ name: "CatalogueDetails", query: { locale: this.$route.query.locale }, params: { ctlg_id: t } }).catch(() => {
      });
    },
    async idunique(t) {
      let e = !0;
      const s = this.$store.getters["auth/getUserDraftIds"];
      return new Promise(() => {
        if (N(t) || t === "" || t === void 0)
          e = !0;
        else if (s.includes(t))
          e = !1;
        else {
          const m = `${this.$env.api.hubUrl}datasets/${t}?useNormalizedId=true`;
          U.head(m).then(() => {
            e = !1;
          }).catch((a) => {
            e = !0;
          });
        }
      }), e;
    }
  }
}, A = {
  id: "nav",
  class: "d-flex"
}, B = { class: "left-form-nav w-25" }, F = { class: "right-form-nav w-75" }, R = {
  key: 0,
  class: "loading-spinner"
}, V = {
  key: 0,
  class: "loading-spinner"
}, _ = {
  key: 0,
  class: "loading-spinner"
}, K = {
  key: 0,
  class: "loading-spinner"
};
function j(t, e, s, m, a, i) {
  const l = w("FormKit"), u = w("app-confirmation-dialog");
  return o(), g("div", null, [
    v("div", A, [
      v("div", B, [
        s.previousStep ? (o(), p(l, {
          key: 0,
          type: "button",
          label: t.$t("message.dataupload.preview"),
          onClick: s.goToPreviousStep,
          class: "prev-btn mx-1 my-0"
        }, null, 8, ["label", "onClick"])) : n("", !0),
        e[4] || (e[4] = r()),
        T(l, {
          type: "button",
          label: t.$t("message.dataupload.clear"),
          onClick: i.handleClear,
          class: "clear-btn"
        }, null, 8, ["label", "onClick"])
      ]),
      e[9] || (e[9] = r()),
      v("div", F, [
        !t.getIsEditMode && !t.getIsDraft && a.property === "catalogues" ? (o(), p(l, {
          key: 0,
          type: "button",
          onClick: e[0] || (e[0] = (d) => i.submit("createcatalogue")),
          class: "mr-2"
        }, {
          default: f(() => [
            a.uploading.createcatalogue ? (o(), g("span", R)) : n("", !0),
            r(b(t.$t("message.dataupload.publishcatalogue")), 1)
          ]),
          _: 1
        })) : n("", !0),
        e[5] || (e[5] = r()),
        t.getIsEditMode && !t.getIsDraft && a.property === "catalogues" ? (o(), p(l, {
          key: 1,
          type: "button",
          onClick: e[1] || (e[1] = (d) => i.submit("createcatalogue")),
          class: "mx-1 my-0"
        }, {
          default: f(() => [
            a.uploading.createcatalogue ? (o(), g("span", V)) : n("", !0),
            r(b(t.$t("message.dataupload.publishcatalogue")), 1)
          ]),
          _: 1
        })) : n("", !0),
        e[6] || (e[6] = r()),
        a.property === "datasets" ? (o(), p(l, {
          key: 2,
          type: "button",
          onClick: e[2] || (e[2] = (d) => i.submit("dataset")),
          disabled: i.formErrorCount,
          class: "mx-1 my-0"
        }, {
          default: f(() => [
            a.uploading.dataset ? (o(), g("span", _)) : n("", !0),
            r(b(t.$t("message.dataupload.publishdataset")), 1)
          ]),
          _: 1
        }, 8, ["disabled"])) : n("", !0),
        e[7] || (e[7] = r()),
        a.property === "datasets" ? (o(), p(l, {
          key: 3,
          type: "button",
          onClick: e[3] || (e[3] = (d) => i.submit("draft")),
          disabled: i.formErrorCount,
          class: "mx-1 my-0"
        }, {
          default: f(() => [
            a.uploading.draft ? (o(), g("span", K)) : n("", !0),
            r(b(t.$t("message.dataupload.saveasdraft")), 1)
          ]),
          _: 1
        }, 8, ["disabled"])) : n("", !0),
        e[8] || (e[8] = r()),
        s.nextStep ? (o(), p(l, {
          key: 4,
          type: "button",
          label: t.$t("message.dataupload.next"),
          onClick: s.goToNextStep
        }, null, 8, ["label", "onClick"])) : n("", !0)
      ])
    ]),
    e[10] || (e[10] = r()),
    T(u, {
      id: "modal",
      confirm: a.modal.confirm,
      onConfirm: a.modal.callback,
      close: a.modal.confirm
    }, {
      default: f(() => [
        r(b(a.modal.message), 1)
      ]),
      _: 1
    }, 8, ["confirm", "onConfirm", "close"])
  ]);
}
const Y = /* @__PURE__ */ M(x, [["render", j]]);
export {
  Y as default
};
//# sourceMappingURL=Navigation.vue.mjs.map
