import { defineComponent as q, markRaw as B, computed as M, resolveComponent as c, openBlock as o, createElementBlock as r, createElementVNode as i, createVNode as f, withModifiers as U, withCtx as O, createTextVNode as s, Fragment as V, renderList as k, withDirectives as j, normalizeClass as C, createCommentVNode as u, createBlock as y, toDisplayString as d, vShow as z } from "vue";
import { mapGetters as A, mapActions as H } from "vuex";
import R from "jquery";
import K from "./PropertyChooser.vue.mjs";
import { has as $, isNil as W, isEmpty as Z } from "lodash-es";
import G from "./DistributionInputPage.vue.mjs";
import J from "./OverviewPage.vue.mjs";
import Q from "../components/InputPageStep.vue.mjs";
import X from "../components/Navigation.vue.mjs";
import { useDpiStepper as Y } from "../composables/useDpiStepper.mjs";
import { useWindowScroll as N } from "../../external/@vueuse/core/index";
import x from "../HappyFlowComponents/ui/LogoV3.vue.mjs";
import tt from "../HappyFlowComponents/ui/ButtonV3.vue.mjs";
import et from "../HappyFlowComponents/img/Selected1.svg.mjs";
import st from "../HappyFlowComponents/img/Selected2.svg.mjs";
import it from "../HappyFlowComponents/img/Selected3.svg.mjs";
import ot from "../HappyFlowComponents/img/Selected4.svg.mjs";
import rt from "../HappyFlowComponents/img/Selected5.svg.mjs";
import at from "../HappyFlowComponents/img/Selected1_2.svg.mjs";
import nt from "../HappyFlowComponents/img/Selected2_2.svg.mjs";
import lt from "../HappyFlowComponents/img/Selected3_2.svg.mjs";
import pt from "../HappyFlowComponents/img/Selected4_2.svg.mjs";
import dt from "../HappyFlowComponents/img/Selected5_2.svg.mjs";
import ut from "../HappyFlowComponents/img/CircleFill.svg.mjs";
import mt from "../HappyFlowComponents/img/Circle.svg.mjs";
import vt from "../HappyFlowComponents/ui/Illustration.vue.mjs";
import { PhLightbulb as gt, PhCheckCircle as ct, PhNumberCircleFive as ht } from "@phosphor-icons/vue";
import { useI18n as ft } from "vue-i18n";
import "../config/styles/variables.css.mjs";
import "../config/styles/typography.css.mjs";
import "@formkit/vue";
import { useDpiContext as St } from "../composables/useDpiContext.mjs";
import "vue-router";
import "merge-anything";
import "../../configurations/config-schema/apiSchema.mjs";
import "../../configurations/config-schema/authenticationSchema.mjs";
import "../../configurations/config-schema/contentSchema.mjs";
import "../../configurations/config-schema/routingSchema.mjs";
import "../../configurations/config-schema/metadataSchema.mjs";
import "../../configurations/config-schema/languagesSchema.mjs";
import "../../configurations/config-schema/themesSchema.mjs";
import "../../configurations/config-schema/trackerSchema.mjs";
import "../../configurations/config-schema/configSchema.mjs";
import "../../utils/helpers.mjs";
import "axios";
import { useFormSchema as bt } from "../composables/useFormSchema.mjs";
import "./InputPage.vue2.mjs";
import yt from "../../_virtual/_plugin-vue_export-helper.mjs";
const Ct = q({
  props: {
    property: {
      required: !0,
      type: String
    },
    id: {
      type: String
    }
  },
  data() {
    return {
      circles: [mt, ut],
      images: [et, st, it, ot, rt],
      selectedImages: [
        at,
        nt,
        lt,
        pt,
        dt
      ],
      heightActiveSec: "10vh",
      formValues: {},
      offsetTopStepper: "60px",
      info: {},
      catalogues: [],
      substepCounter: 0,
      stepCounter: 0,
      byte: !0,
      expandall: !0,
      activeSubStep: "",
      // steps:{},
      camel2title: (t) => t.replace(/([A-Z])/g, (e) => ` ${e}`).replace(/^./, (e) => e.toUpperCase()).trim()
    };
  },
  components: {
    InputPageStep: Q,
    DistributionInputPage: G,
    PropertyChooser: K,
    Navigation: X,
    LogoV3: x,
    ButtonV3: tt,
    Illustration: vt,
    PhLightbulb: gt,
    PhCheckCircle: ct,
    PhNumberCircleFive: ht
  },
  computed: {
    ...A("auth", [
      "getIsEditMode",
      "getUserCatalogIds"
    ]),
    ...A("dpiStore", [
      "getNavSteps",
      "getDeleteDistributionInline"
    ]),
    getTitleStep() {
      return Object.keys(this.formValues).filter(
        (t) => $(this.formValues[t], "dct:title")
      )[0];
    },
    createIDFromTitle() {
      const t = this.formValues[this.getTitleStep]["dct:title"][0]["@value"];
      if (t != null)
        return t.toLowerCase().replace(/ /g, "-");
    },
    getFirstTitleFromForm() {
      const t = this.formValues[this.getTitleStep];
      return $(t, "dct:title") && t["dct:title"].length > 0 && $(t["dct:title"][0], "@value") && !W(t["dct:title"][0], "@value") ? t["dct:title"][0]["@value"] : "";
    },
    isInput() {
      return this.$route.params.page !== "overview" && this.$route.params.page !== "distoverview";
    }
  },
  methods: {
    ...H("auth", [
      "setIsEditMode",
      "setIsDraft"
    ]),
    ...H("dpiStore", [
      "saveFormValues",
      "saveLocalstorageValues",
      "clearAll"
    ]),
    update() {
      this.$forceUpdate();
    },
    todoHandler() {
      const t = document.getElementById("navWrapper");
      t && (parseInt(getComputedStyle(t).zIndex, 10) === 999 ? t.style.zIndex = 99999 : t.style.zIndex = 999);
    },
    getCircles(t) {
      return t === this.substepCounter ? this.circles[1] : this.circles[0];
    },
    navTrigger(t, e) {
      let a = [];
      Object.keys(this.steps).forEach((m, v) => {
        let h = {
          step: m,
          substeps: this.subSteps[v],
          substepCount: Object.keys(this.subSteps[v]).length
        };
        a.push(h);
      }), t === "next" && (a[this.stepCounter].substepCount > 1 ? this.substepCounter + 1 === a[this.stepCounter].substepCount ? (this.stepCounter++, this.activeStep = a[this.stepCounter].step, this.activeSubStep = Object.keys(
        a[this.stepCounter].substeps
      )[0], this.substepCounter = 0) : (this.substepCounter++, this.activeSubStep = Object.keys(
        a[this.stepCounter].substeps
      )[this.substepCounter]) : this.stepCounter != a.length - 1 && (this.stepCounter++, this.activeSubStep = Object.keys(a[this.stepCounter].substeps)[0], this.activeStep = a[this.stepCounter].step)), t === "prev" && (a[this.stepCounter].substepCount > 1 ? this.substepCounter > 0 ? (this.substepCounter--, this.activeSubStep = Object.keys(
        a[this.stepCounter].substeps
      )[this.substepCounter]) : (this.stepCounter--, this.activeStep = a[this.stepCounter].step, this.substepCounter = Object.keys(a[this.stepCounter].substeps).length - 1, this.activeSubStep = Object.keys(
        a[this.stepCounter].substeps
      )[this.substepCounter]) : (this.substepCounter = Object.keys(a[this.stepCounter - 1].substeps).length - 1, this.stepCounter--, this.activeSubStep = Object.keys(a[this.stepCounter].substeps)[this.substepCounter], this.activeStep = a[this.stepCounter].step));
    },
    dropdownCLick() {
      const t = document.querySelectorAll(".formkitProperty h4");
      this.expandall && t.forEach((e, a) => {
        e.classList.add("dpiChevUp"), e.nextElementSibling.classList.remove("d-none");
      }), this.expandall || t.forEach((e, a) => {
        e.classList.remove("dpiChevUp"), e.nextElementSibling.classList.add("d-none");
      });
    },
    clearForm() {
      this.$formkit.reset("dpi");
    },
    scrollToTop() {
      window.scrollTo(0, 0);
    },
    initInputPage() {
      this.activeSubStep = "Landing";
      const t = this.getSchema(this.property).value, e = Object.keys(t).find(
        (m) => t[m].map((v) => v.name).includes("dct:issued") || t[m].map((v) => v.name).includes("dct:modified")
      );
      this.$formkit.setLocale("de"), localStorage.getItem("dpi_editmode") === "true" && e != null && t[e].forEach((m) => {
        (m.identifier === "issued" || m.identifier === "modified") && (m.children[1].props.else.validation = "", m.children[1].props.else["validation-visibility"] = "", m.children[1].props.then.validation = "", m.children[1].props.then["validation-visibility"] = "", m.children[1].props.then.validation = "", m.children[1].props.then["validation-visibility"] = "");
      }), localStorage.getItem("dpi_editmode") === "false" && (this.setIsDraft(!1), this.setIsEditMode(!1)), this.saveLocalstorageValues(this.property);
      const a = this.$store.getters["dpiStore/getRawValues"]({
        property: this.property
      });
      Z(a) || (this.formValues = a), this.$nextTick(() => {
        R('[data-toggle="tooltip"]').tooltip({
          container: "body"
        }), setTimeout(() => {
          document.querySelectorAll(".formkitProperty h4").forEach((v, h) => {
            v.parentElement.parentElement.classList.contains(
              "formkitWrapRepeatable"
            ) || (h != 0 && h != 1 && h != 2 && h != 3 && v.nextElementSibling.classList.toggle("d-none"), v.addEventListener("click", () => {
              v.classList.toggle("dpiChevUp"), v.nextElementSibling.classList.toggle("d-none");
            }));
          }), document.querySelectorAll(".formkitProperty");
        });
      });
    },
    createDatasetID() {
      const t = this.formValues[this.getTitleStep];
      !$(t, "datasetID") || W(t.datasetID) ? this.formValues[this.getTitleStep].datasetID = this.createIDFromTitle : (this.createIDFromTitle.startsWith(t.datasetID) || t.datasetID.startsWith(this.createIDFromTitle)) && (this.formValues[this.getTitleStep].datasetID = this.createIDFromTitle);
    },
    generateandTranslateSchema(t) {
      for (let e = 0; e < this.getNavSteps(this.$env.content.dataProviderInterface.specification)[t].length; e++)
        this.createSchema({
          property: t,
          page: this.getNavSteps(
            this.$env.content.dataProviderInterface.specification
          )[t][e],
          specification: this.$env.content.dataProviderInterface.specification
        }), this.translateSchema({
          property: t,
          page: this.getNavSteps(
            this.$env.content.dataProviderInterface.specification
          )[t][e]
        });
    }
  },
  created() {
    this.$route.query.edit === "false" && this.clearAll(), this.generateandTranslateSchema(this.property), this.property === "datasets" && this.generateandTranslateSchema("distributions");
  },
  mounted() {
    this.initInputPage();
  },
  watch: {
    activeStep: {
      handler() {
        this.scrollToTop();
      }
    },
    getFirstTitleFromForm: {
      handler(t, e) {
        t !== e && (localStorage.getItem("dpi_editmode") === "false" && (this.setIsDraft(!1), this.setIsEditMode(!1)), this.isEditMode || this.createDatasetID());
      }
    },
    // the schema is a computed value which gets computed only once so on language change this value must be re-computed
    "$i18n.locale": {
      handler() {
        this.generateandTranslateSchema(this.property), this.property === "datasets" && this.generateandTranslateSchema("distributions");
      }
    }
  },
  beforeRouteEnter(t, e, a) {
    a((m) => {
      e.name && !e.name.startsWith("DataProviderInterface") && m.clearAll();
    });
  },
  setup() {
    const t = St(), {
      steps: e,
      activeStep: a,
      subSteps: m,
      visitedSteps: v,
      previousStep: h,
      nextStep: I,
      stepPlugin: T,
      goToNextStep: P,
      goToPreviousStep: D
    } = Y(), { t: _, te: S } = ft(), { translateSchema: F, createSchema: L, getSchema: w } = bt({ t: _, te: S }), E = () => {
      let { x: g, y: b } = N({ behavior: "smooth" });
      b.value = 0;
    }, n = (g) => (e[g].errorCount > 0 || e[g].blockingCount > 0) && v.value.includes(g), l = B({ OverviewPage: J }), p = M(() => {
      var g;
      return !!((g = t.value.edit) != null && g.enabled);
    });
    return {
      steps: e,
      visitedSteps: v,
      activeStep: a,
      subSteps: m,
      previousStep: h,
      nextStep: I,
      stepPlugin: T,
      checkStepValidity: n,
      goToNextStep: P,
      goToPreviousStep: D,
      scrollToTop: E,
      library: l,
      isEditMode: p,
      translateSchema: F,
      createSchema: L,
      getSchema: w
    };
  }
}), Vt = { class: "form-container V3-typography" }, kt = {
  key: 0,
  ref: "fkInputContainer",
  class: "inputContainer"
}, It = { class: "formContainer formkit position-relative" }, Pt = {
  key: 0,
  class: "dpiV3_stepper"
}, $t = { class: "dpiV3_steps" }, Tt = ["data-step-active", "data-step-valid"], Dt = { class: "dpiV3_stepBubbleWrap" }, _t = ["src"], Ft = ["src"], Lt = ["textContent"], wt = { style: { "vertical-align": "middle" } }, Et = { class: "dpiV3_subStepWrapper" }, Ot = {
  key: 0,
  class: "dpiV3_seperatorHorizontalStepper"
}, jt = {
  key: 1,
  class: "dpiV3_seperatorHorizontalStepperFat"
}, zt = {
  key: 2,
  class: "dpiV3_subStep"
}, At = { class: "dpiV3_subStepInner" }, Ht = { class: "dpiV3_subStepCircleWrap" }, Wt = ["src"], qt = { style: { height: "20px", display: "flex", "align-items": "center" } }, Bt = {
  key: 0,
  class: "dpiV3_step dpiV3_inactiveStep"
}, Mt = {
  key: 1,
  class: "dpiV3_stepperLanding"
}, Ut = { class: "dpiV3_bydata_logo_wordmark" }, Rt = { class: "dpiV3_Illustration-Start" }, Kt = {
  key: 2,
  class: "steps"
}, Zt = ["data-step-active", "data-step-valid", "onClick"], Gt = { class: "stepBubbleWrap" }, Jt = { class: "circle stepCircle" }, Qt = ["textContent"], Xt = {
  key: 0,
  class: "seperatorHorizontalStepper"
}, Yt = {
  key: 0,
  class: "step inactiveStep"
}, Nt = { style: { width: "100%" } }, xt = {
  key: 0,
  class: "dpiV3_CTALanding"
}, te = { class: "dpiV3_CTANav" }, ee = {
  key: 2,
  class: "dpiV3_Content_InputPage"
}, se = { class: "dpiV3_Card_Tips" }, ie = { class: "dpiV3_Icon_Title" }, oe = { class: "dpiV3_Info-Text dpiV3_activeStepName" }, re = { class: "dpiV3_CT-Content" }, ae = { class: "dpiV3_copy_large_regular dpiV3_hvd_frame3846" }, ne = { class: "dpiV3_hvd_frame3846" }, le = { class: "dpiV3_copy_large_semi_bold" }, pe = { class: "dpiV3_copy_large_regular" }, de = { class: "dpiV3_hvd_frame3846" }, ue = { class: "dpiV3_copy_large_semi_bold" }, me = { class: "dpiV3_copy_large_regular" }, ve = { class: "dpiV3_hvd_frame3846" }, ge = { class: "dpiV3_copy_large_semi_bold" }, ce = { class: "dpiV3_copy_large_regular" }, he = { class: "dpiV3_hvd_frame3846" }, fe = { class: "dpiV3_copy_large_semi_bold" }, Se = { class: "dpiV3_copy_large_regular" }, be = {
  key: 4,
  class: "p-1"
};
function ye(t, e, a, m, v, h) {
  const I = c("LogoV3"), T = c("PhNumberCircleFive"), P = c("PhCheckCircle"), D = c("Illustration"), _ = c("FormKitSchema"), S = c("ButtonV3"), F = c("PhLightbulb"), L = c("DistributionInputPage"), w = c("InputPageStep"), E = c("FormKit");
  return o(), r("div", Vt, [
    t.isInput ? (o(), r("div", kt, [
      i("div", It, [
        f(E, {
          type: "form",
          modelValue: t.formValues,
          "onUpdate:modelValue": e[3] || (e[3] = (n) => t.formValues = n),
          actions: !1,
          plugins: [t.stepPlugin],
          id: "dpiForm",
          onChange: e[4] || (e[4] = (n) => t.saveFormValues({ property: t.property, page: t.page, distid: t.id, values: t.formValues })),
          onClick: e[5] || (e[5] = (n) => t.saveFormValues({ property: t.property, page: t.page, distid: t.id, values: t.formValues })),
          onSubmit: e[6] || (e[6] = U(() => {
          }, ["prevent"])),
          class: "d-flex"
        }, {
          default: O(() => [
            t.$env.content.dataProviderInterface.specification === "dcatapdeHappyFlow" && t.activeStep !== "Landing" ? (o(), r("div", Pt, [
              f(I),
              e[19] || (e[19] = s()),
              i("ul", $t, [
                (o(!0), r(V, null, k(t.steps, (n, l, p) => j((o(), r("li", {
                  key: n,
                  class: C(["dpiV3_step", { dpiV3_activeItem: t.activeStep === l, inactiveStep: l != t.activeStep, "has-errors": t.checkStepValidity(l) }]),
                  "data-step-active": t.activeStep === l,
                  "data-step-valid": n.valid && n.errorCount === 0
                }, [
                  i("div", Dt, [
                    i("div", {
                      class: C({
                        dpiV3_activeStepName: l === t.activeStep,
                        formerlyVisitedStep: t.stepCounter > p,
                        "copy-small-regular": t.stepCounter > p
                      })
                    }, [
                      t.activeStep === l && p < 5 ? (o(), r("img", {
                        key: 0,
                        class: "dpiV3_circle dpiV3_stepCircle",
                        src: t.selectedImages[p - 1],
                        alt: "Selected Icon"
                      }, null, 8, _t)) : u("", !0),
                      e[7] || (e[7] = s()),
                      t.activeStep === l && p === 5 ? (o(), y(T, {
                        key: 1,
                        size: 28,
                        color: "#009FE3",
                        weight: "fill"
                      })) : u("", !0),
                      e[8] || (e[8] = s()),
                      p < t.stepCounter ? (o(), y(P, {
                        key: 2,
                        size: 28,
                        color: "#70CC44",
                        weight: "fill"
                      })) : u("", !0),
                      e[9] || (e[9] = s()),
                      p > t.stepCounter ? (o(), r("img", {
                        key: 3,
                        class: "dpiV3_circle dpiV3_stepCircle",
                        src: t.images[p - 1],
                        alt: "Selected Icon"
                      }, null, 8, Ft)) : u("", !0),
                      e[10] || (e[10] = s()),
                      t.checkStepValidity(l) ? (o(), r("span", {
                        key: 4,
                        class: "dpiV3_step--errors",
                        textContent: d(n.errorCount + n.blockingCount)
                      }, null, 8, Lt)) : u("", !0),
                      e[11] || (e[11] = s()),
                      i("span", wt, d(t.$t("message.dataupload.steps." + l + "Step")), 1)
                    ], 2),
                    e[16] || (e[16] = s()),
                    i("div", Et, [
                      p + 1 != Object.keys(t.steps).length && p >= t.stepCounter ? (o(), r("div", Ot)) : u("", !0),
                      e[14] || (e[14] = s()),
                      p + 1 != Object.keys(t.steps).length && p < t.stepCounter ? (o(), r("div", jt)) : u("", !0),
                      e[15] || (e[15] = s()),
                      t.activeStep === l ? (o(), r("div", zt, [
                        t.stepCounter < 5 ? (o(!0), r(V, { key: 0 }, k(Object.keys(t.subSteps[p]), (g, b) => (o(), r("div", At, [
                          i("div", Ht, [
                            t.substepCounter > b ? (o(), y(P, {
                              key: 0,
                              size: 20,
                              color: "#009FE3"
                            })) : (o(), r("img", {
                              key: 1,
                              src: t.getCircles(b),
                              alt: "circle"
                            }, null, 8, Wt)),
                            e[12] || (e[12] = s()),
                            b != Object.keys(t.subSteps[p]).length - 1 ? (o(), r("div", {
                              key: 2,
                              class: C(["dpiV3_seperatorHorizontalStepperInner", {
                                dpiV3_seperatorHorizontalStepperInnerVisited: t.substepCounter > b
                              }])
                            }, null, 2)) : u("", !0)
                          ]),
                          e[13] || (e[13] = s()),
                          i("div", qt, [
                            i("span", {
                              class: C(["large-regular dpiV3_substepText", {
                                dpiV3_activeStepDesc: g === t.activeSubStep,
                                formerlyVisitedStep: t.substepCounter > b
                              }])
                            }, d(t.$t("message.dataupload.steps." + g.replace(/_\d+$/, ""))), 3)
                          ])
                        ]))), 256)) : u("", !0)
                      ])) : u("", !0)
                    ])
                  ])
                ], 10, Tt)), [
                  [z, l !== "Landing"]
                ])), 128)),
                e[18] || (e[18] = s()),
                t.activeStep === "Overview" ? (o(), r("li", Bt, e[17] || (e[17] = [
                  i("div", { class: "dpiV3_circle dpiV3_stepCircle" }, null, -1)
                ]))) : u("", !0)
              ])
            ])) : (o(), r("div", Mt, [
              i("div", Ut, [
                f(I)
              ]),
              e[20] || (e[20] = s()),
              i("div", Rt, [
                f(D, { illustrationName: "start" })
              ])
            ])),
            e[48] || (e[48] = s()),
            t.$env.content.dataProviderInterface.specification != "dcatapdeHappyFlow" ? (o(), r("ul", Kt, [
              (o(!0), r(V, null, k(t.steps, (n, l, p) => (o(), r("li", {
                key: n,
                class: C(["step", { activeItem: t.activeStep === l, inactiveStep: l != t.activeStep, "has-errors": t.checkStepValidity(l) }]),
                "data-step-active": t.activeStep === l,
                "data-step-valid": n.valid && n.errorCount === 0,
                onClick: (g) => {
                  t.activeStep = l, t.update(), t.scrollToTop();
                }
              }, [
                i("div", Gt, [
                  i("div", Jt, d(p + 1), 1),
                  e[21] || (e[21] = s()),
                  t.checkStepValidity(l) ? (o(), r("span", {
                    key: 0,
                    class: "step--errors",
                    textContent: d(n.errorCount + n.blockingCount)
                  }, null, 8, Qt)) : u("", !0),
                  s(d(t.$t("message.dataupload.steps." + l + "Step")), 1)
                ]),
                e[22] || (e[22] = s()),
                p != Object.keys(t.steps).length ? (o(), r("div", Xt)) : u("", !0)
              ], 10, Zt))), 128)),
              e[24] || (e[24] = s()),
              t.activeStep === "Overview" ? (o(), r("li", Yt, e[23] || (e[23] = [
                i("div", { class: "circle stepCircle" }, null, -1)
              ]))) : u("", !0)
            ])) : u("", !0),
            e[49] || (e[49] = s()),
            (o(!0), r(V, null, k(t.getNavSteps(t.$env.content.dataProviderInterface.specification)[t.property], (n, l) => (o(), y(w, {
              name: n,
              key: l
            }, {
              default: O(() => [
                (o(!0), r(V, null, k(Object.keys(t.getSchema(t.property).value[n]).length, (p, g) => j((o(), r("div", Nt, [
                  n !== "Distributions" ? (o(), y(_, {
                    key: 0,
                    onHandleNav: t.handleNavInput,
                    schema: t.getSchema(t.property).value[n][g],
                    library: t.library
                  }, null, 8, ["onHandleNav", "schema", "library"])) : u("", !0)
                ], 512)), [
                  [z, Object.values(t.getSchema(t.property).value[n][g])[0] === t.activeSubStep.replace(/_\d+$/, "") || n === "Landing"]
                ])), 256)),
                e[44] || (e[44] = s()),
                t.activeStep === "Landing" ? (o(), r("div", xt, [
                  f(S, {
                    buttonText: "Abbrechen",
                    size: "large",
                    variant: "tertiary",
                    onClick: t.todoHandler
                  }, null, 8, ["onClick"]),
                  e[25] || (e[25] = s()),
                  f(S, {
                    buttonText: "Datenbereitstellung starten",
                    size: "large",
                    onClick: e[0] || (e[0] = (p) => t.navTrigger("next"))
                  })
                ])) : (o(), r("div", {
                  key: 1,
                  class: C(["dpiV3_CTA", { dpiV3_activeInfobox: t.activeSubStep.includes("hvdPage") }])
                }, [
                  f(S, {
                    buttonText: "Abbrechen",
                    size: "large",
                    variant: "tertiary",
                    onClick: t.todoHandler
                  }, null, 8, ["onClick"]),
                  e[27] || (e[27] = s()),
                  i("div", te, [
                    t.activeStep !== "Landing" ? (o(), y(S, {
                      key: 0,
                      iconStart: "CaretLeft",
                      buttonText: "Zurück",
                      size: "large",
                      onClick: e[1] || (e[1] = (p) => t.navTrigger("prev")),
                      variant: "secondary"
                    })) : u("", !0),
                    e[26] || (e[26] = s()),
                    f(S, {
                      iconEnd: "CaretRight",
                      buttonText: "Weiter",
                      size: "large",
                      onClick: e[2] || (e[2] = (p) => t.navTrigger("next"))
                    })
                  ])
                ], 2)),
                e[45] || (e[45] = s()),
                t.activeSubStep.includes("hvdPage") ? (o(), r("div", ee, [
                  i("div", se, [
                    i("div", ie, [
                      f(F, {
                        size: 32,
                        color: "#009fe3"
                      }),
                      e[28] || (e[28] = s()),
                      i("div", oe, d(t.$t("message.dataupload.datasets.hvdPage.tips-hvd")), 1)
                    ]),
                    e[42] || (e[42] = s()),
                    i("div", re, [
                      i("div", ae, d(t.$t("message.dataupload.datasets.hvdPage.tips-text")), 1),
                      e[38] || (e[38] = s()),
                      i("div", ne, [
                        i("div", le, `
                      1. ` + d(t.$t("message.dataupload.datasets.hvdPage.tips-question-1")), 1),
                        e[34] || (e[34] = s()),
                        i("ul", pe, [
                          i("li", null, d(t.$t("message.dataupload.datasets.hvdPage.hvd-category-1")), 1),
                          e[29] || (e[29] = s()),
                          i("li", null, d(t.$t("message.dataupload.datasets.hvdPage.hvd-category-2")), 1),
                          e[30] || (e[30] = s()),
                          i("li", null, d(t.$t("message.dataupload.datasets.hvdPage.hvd-category-3")), 1),
                          e[31] || (e[31] = s()),
                          i("li", null, d(t.$t("message.dataupload.datasets.hvdPage.hvd-category-4")), 1),
                          e[32] || (e[32] = s()),
                          i("li", null, d(t.$t("message.dataupload.datasets.hvdPage.hvd-category-5")), 1),
                          e[33] || (e[33] = s()),
                          i("li", null, d(t.$t("message.dataupload.datasets.hvdPage.hvd-category-6")), 1)
                        ])
                      ]),
                      e[39] || (e[39] = s()),
                      i("div", de, [
                        i("div", ue, `
                      2.
                      ` + d(t.$t(
                          "message.dataupload.datasets.hvdPage.tips-question-2"
                        )), 1),
                        e[35] || (e[35] = s()),
                        i("p", me, d(t.$t(
                          "message.dataupload.datasets.hvdPage.tips-example-2"
                        )), 1)
                      ]),
                      e[40] || (e[40] = s()),
                      i("div", ve, [
                        i("div", ge, `
                      3.
                      ` + d(t.$t(
                          "message.dataupload.datasets.hvdPage.tips-question-3"
                        )), 1),
                        e[36] || (e[36] = s()),
                        i("p", ce, d(t.$t(
                          "message.dataupload.datasets.hvdPage.tips-example-3"
                        )), 1)
                      ]),
                      e[41] || (e[41] = s()),
                      i("div", he, [
                        i("div", fe, `
                      4.
                      ` + d(t.$t(
                          "message.dataupload.datasets.hvdPage.tips-question-4"
                        )), 1),
                        e[37] || (e[37] = s()),
                        i("p", Se, d(t.$t(
                          "message.dataupload.datasets.hvdPage.tips-example-4"
                        )), 1)
                      ])
                    ])
                  ])
                ])) : u("", !0),
                e[46] || (e[46] = s()),
                n === "Distributions" ? (o(), y(L, {
                  key: 3,
                  schema: t.getSchema("distributions"),
                  values: t.formValues
                }, null, 8, ["schema", "values"])) : u("", !0),
                e[47] || (e[47] = s()),
                n === "Mandatory" ? (o(), r("p", be, [
                  e[43] || (e[43] = i("b", null, "*", -1)),
                  s(" " + d(t.$t("message.dataupload.info.mandatory")), 1)
                ])) : u("", !0)
              ]),
              _: 2
            }, 1032, ["name"]))), 128))
          ]),
          _: 1
        }, 8, ["modelValue", "plugins"])
      ])
    ], 512)) : u("", !0)
  ]);
}
const cs = /* @__PURE__ */ yt(Ct, [["render", ye]]);
export {
  cs as default
};
//# sourceMappingURL=InputPage.vue.mjs.map
