declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    property: {
        type: StringConstructor;
    };
    context: {
        type: ObjectConstructor;
    };
}>, {
    overviewPageIsVisible: import('vue').Ref<boolean, boolean>;
}, {
    instance: {
        metadata: {
            title: string;
            description: string;
            keywords: string;
        };
        api: {
            baseUrl: string;
            hubUrl: string;
            qualityBaseUrl: string;
            similarityBaseUrl: string;
            similarityServiceName: string;
            fileUploadUrl: string;
            sparqlUrl: string;
            gazetteerBaseUrl: string;
            corsproxyApiUrl: string;
        };
        authentication: {
            login: {
                useLogin: boolean;
                loginTitle: string;
                loginURL: string;
                loginRedirectUri: string;
                logoutTitle: string;
                logoutURL: string;
                logoutRedirectUri: string;
            };
            useService: boolean;
            keycloak: {
                realm: string;
                clientId: string;
                'ssl-required': string;
                'public-client': boolean;
                'verify-token-audience': boolean;
                'use-resource-role-mappings': boolean;
                'confidential-port': number;
                url?: string | undefined;
            };
            keycloakInit: {
                onLoad: "check-sso" | "login-required";
                pkceMethod: string;
                useNone: boolean;
                adapter: string;
                checkLoginIframe: boolean;
                checkLoginIframeInterval: number;
                responseMode: "query" | "fragment" | "form_post";
                flow: "standard" | "implicit" | "hybrid";
                scope: string;
                token?: string | undefined;
                refreshToken?: string | undefined;
                idToken?: string | undefined;
                timeSkew?: number | undefined;
                redirectUri?: string | undefined;
                silentCheckSsoRedirectUri?: string | undefined;
            } & {
                [k: string]: unknown;
            };
            rtp: {
                grand_type: string;
                audience: string;
            };
            authToken: string;
            authMiddleware: {
                baseUrl: string;
                enable: boolean;
                loginRedirectUrl: string;
                logoutRedirectUrl: string;
            };
        } & {
            [k: string]: unknown;
        };
        routing: {
            routerOptions: {
                base: string;
                mode: string;
            };
            navigation: {
                showSparql: boolean;
            };
            pagination: {
                usePagination: boolean;
                usePaginationArrows: boolean;
                useItemsPerPage: boolean;
                defaultItemsPerPage: number;
                defaultItemsPerPageOptions: number[];
            };
        };
        content: {
            datasetDetails: {
                embed: {
                    enable: boolean;
                    defaultWidth: number;
                    defaultHeight: number;
                    minRange: number;
                    maxRange: number;
                };
                header: {
                    navigation: string;
                    hidePublisher: boolean;
                    hideDate: boolean;
                };
                description: {
                    enableMarkdownInterpretation: boolean;
                };
                keywords: {
                    showTitle: boolean;
                    isVisible: boolean;
                    collapsed: boolean;
                };
                dataServices: {
                    isVisible: boolean;
                    displayAll: boolean;
                    displayCount: number;
                    incrementSteps: number[];
                    descriptionMaxLines: number;
                    descriptionMaxChars: number;
                };
                properties: string;
                distributions: {
                    displayAll: boolean;
                    displayCount: number;
                    incrementSteps: number[];
                    descriptionMaxLines: number;
                    descriptionMaxChars: number;
                    showValidationButton: boolean;
                };
                downloadAs: {
                    url: string;
                    enable: boolean;
                    proxyUrl: string;
                    conversionFormats: {
                        sourceFileFormat: string;
                        targetFileFormat: string[];
                    }[];
                };
                similarDatasets: {
                    useSimilarDatasets: boolean;
                    breakpoints: {
                        verySimilar: {
                            start: number;
                            end: number;
                        };
                        similar: {
                            start: number;
                            end: number;
                        };
                        lessSimilar: {
                            start: number;
                            end: number;
                        };
                    };
                };
                pages: {
                    isVisible: boolean;
                    displayAll: boolean;
                    displayCount: number;
                    incrementSteps: number[];
                    descriptionMaxLines: number;
                    descriptionMaxChars: number;
                };
                visualisations: {
                    isVisible: boolean;
                    displayAll: boolean;
                    displayCount: number;
                    incrementSteps: number[];
                    descriptionMaxLines: number;
                    descriptionMaxChars: number;
                };
                isUsedBy: {
                    isVisible: boolean;
                };
                relatedResources: {
                    isVisible: boolean;
                };
                bulkDownload: {
                    buttonPosition: string;
                    MAX_FILE_TITLE_LENGTH: number;
                    MAX_REQUESTS_COUNT: number;
                    INTERVAL_MS: number;
                    TIMEOUT_MS: number;
                };
                quality: {
                    displayAll: boolean;
                    numberOfDisplayedQualityDistributions: number;
                    csvLinter: {
                        enable: boolean;
                        displayAll: boolean;
                        numberOfDisplayedValidationResults: number;
                    };
                };
            };
            datasets: {
                useSort: boolean;
                useFeed: boolean;
                useCatalogs: boolean;
                followKeywordLinks: string;
                maxKeywordLength: number;
                facets: {
                    useDatasetFacets: boolean;
                    useDatasetFacetsMap: boolean;
                    showClearButton: boolean;
                    showFacetsTitle: boolean;
                    cutoff: number;
                    MIN_FACET_LIMIT: number;
                    MAX_FACET_LIMIT: number;
                    FACET_OPERATORS: {
                        or: string;
                        and: string;
                    };
                    FACET_GROUP_OPERATORS: {
                        or: string;
                        and: string;
                    };
                    defaultFacetOrder: string[];
                    scoringFacets: {
                        useScoringFacets: boolean;
                        defaultScoringFacets: Record<string, {
                            title: string;
                            id: string;
                            count: number;
                            minScoring: number;
                            maxScoring: number;
                        }>;
                    };
                };
            };
            catalogs: {
                useSort: boolean;
                facets: {
                    useDatasetFacetsMap: boolean;
                    showClearButton: boolean;
                    showFacetsTitle: boolean;
                    cutoff: number;
                    MIN_FACET_LIMIT: number;
                    MAX_FACET_LIMIT: number;
                    FACET_OPERATORS: {
                        or: string;
                        and: string;
                    };
                    FACET_GROUP_OPERATORS: {
                        or: string;
                        and: string;
                    };
                    defaultFacetOrder: string[];
                    useCatalogFacets: boolean;
                };
                useCatalogCountries: boolean;
                defaultCatalogImagePath: string;
                defaultCatalogCountryID: string;
                defaultCatalogID: string;
            };
            maps: {
                options: {
                    id: string;
                    accessToken: string;
                    attribution: string;
                };
                mapVisible: boolean;
                useAnimation: boolean;
                location: [number[], number];
                spatialType: "Point" | "Polygon";
                height: string;
                width: string;
                mapContainerId: string;
                urlTemplate: string;
                geoBoundsId: string;
                sender: {
                    height: string;
                    width: string;
                    mapContainerId: string;
                    startBounds: [[number, number], [number, number]];
                };
                receiver: {
                    height: string;
                    width: string;
                    mapContainerId: string;
                    startBounds: [[number, number], [number, number]];
                    attributionPosition: "topleft" | "topright" | "bottomleft" | "bottomright";
                };
                mapStyle: {
                    color: string;
                    fillColor: string;
                    fillOpacity: number;
                    weight: number;
                    radius: number;
                };
            };
            dataProviderInterface: {
                useService: boolean;
                uploadFileTypes: string[];
                enableFileUploadReplace: boolean;
                basePath: string;
                specification: "dcatap" | "dcatapde";
                annifIntegration: boolean;
                annifLinkTheme: string;
                annifLinkSubject: string;
                buttons: {
                    Dataset: boolean;
                    Catalogue: boolean;
                };
                doiRegistrationService: {
                    persistentIdentifierType: string;
                };
            };
        };
        languages: {
            useLanguageSelector: boolean;
            locale: string;
            fallbackLocale: string;
        };
        themes: {
            header: string;
        };
        tracker: {
            isPiwikPro: boolean;
            siteId: string;
            trackerUrl: string;
        };
    };
    dpiLocale: any;
}, {
    showDatasetsOverview(): boolean;
    showCatalogsOverview(): boolean;
    getData: import('vuex').Computed;
    getIsEditMode: import('vuex').Computed;
}, {
    clear(): void;
    /*** Overview Page checker functionality ***/
    checkID(property: any): void;
    checkUniqueID(property: any): Promise<any>;
    clearAll: import('vuex').ActionMethod;
    saveLocalstorageValues: import('vuex').ActionMethod;
}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    property: {
        type: StringConstructor;
    };
    context: {
        type: ObjectConstructor;
    };
}>> & Readonly<{}>, {}, {}, {
    LanguageSelector: any;
    DatasetOverview: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        dpiLocale: StringConstructor;
    }>, {}, {
        values: never[];
        pageLoaded: boolean;
        tableProperties: {
            'dct:publisher': {
                type: string;
                voc: string;
                label: string;
            };
            'dcat:contactPoint': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:creator': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:language': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:subject': {
                type: string;
                voc: string;
                label: string;
            };
            'dcat:theme': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:type': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:source': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:identifier': {
                type: string;
                voc: string;
                label: string;
            };
            'adms:identifier': {
                type: string;
                voc: string;
                label: string;
            };
            'foaf:page': {
                type: string;
                voc: string;
                label: string;
            };
            'dcat:landingPage': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:provenance': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:accrualPeriodicity': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:accessRights': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:conformsTo': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:relation': {
                type: string;
                voc: string;
                label: string;
            };
            'dcat:qualifiedRelation': {
                type: string;
                voc: string;
                label: string;
            };
            'prov:qualifiedAttribution': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:spatial': {
                type: string;
                voc: string;
                label: string;
            };
            'dcat:spatialResolutionInMeters': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:temporal': {
                type: string;
                voc: string;
                label: string;
            };
            'dcat:temporalResolution': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:isReferencedBy': {
                type: string;
                voc: string;
                label: string;
            };
            'prov:wasGeneratedBy': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:isVersionOf': {
                type: string;
                voc: string;
                label: string;
            };
            'dext:metadataExtension': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:hasVersion': {
                type: string;
                voc: string;
                label: string;
            };
            'owl:versionInfo': {
                type: string;
                voc: string;
                label: string;
            };
            'adms:versionNotes': {
                type: string;
                voc: string;
                label: string;
            };
            'dcatde:qualityProcessURI': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:references': {
                type: string;
                voc: string;
                label: string;
            };
            'dcatde:legalBasis': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:contributor': {
                type: string;
                voc: string;
                label: string;
            };
            'dcatde:contributorID': {
                type: string;
                voc: string;
                label: string;
            };
            'dcatde:originator': {
                type: string;
                voc: string;
                label: string;
            };
            'dcatde:maintainer': {
                type: string;
                voc: string;
                label: string;
            };
            'dcatap:availability': {
                type: string;
                voc: string;
                label: string;
            };
            'dcatde:geocodingDescription': {
                type: string;
                voc: string;
                label: string;
            };
            'dcatde:politicalGeocodingLevelURI': {
                type: string;
                voc: string;
                label: string;
            };
            'dcatde:politicalGeocodingURI': {
                type: string;
                voc: string;
                label: string;
            };
        };
    }, {
        getDatasets(): never[];
        getDistributions(): any;
        showTable(): boolean;
        storeData(): any;
        getTitle(): any;
        getDescription(): any;
        getData: import('vuex').Computed;
    }, {
        checkIfPropertySet(data: any, property: any): any;
        getDate(date: any): string;
        checkIfPropertyValueSet(data: any, property: any, value: any): any;
        reqName(URI: any): Promise<any>;
    }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        dpiLocale: StringConstructor;
    }>> & Readonly<{}>, {}, {}, {
        PropertyEntry: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            profile: StringConstructor;
            data: ObjectConstructor;
            property: StringConstructor;
            value: ObjectConstructor;
            dpiLocale: StringConstructor;
            distId: NumberConstructor;
            type: StringConstructor;
            inHeader: StringConstructor;
        }>, {}, {}, {
            isSet(): boolean;
        }, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            profile: StringConstructor;
            data: ObjectConstructor;
            property: StringConstructor;
            value: ObjectConstructor;
            dpiLocale: StringConstructor;
            distId: NumberConstructor;
            type: StringConstructor;
            inHeader: StringConstructor;
        }>> & Readonly<{}>, {}, {}, {
            URIProp: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
                property: StringConstructor;
                value: ObjectConstructor;
                data: ObjectConstructor;
                inHeader: StringConstructor;
            }>, {
                requestResourceName: (options: {
                    voc: string;
                    uri: string;
                    envs: any;
                }) => Promise<any>;
                getURILabel: (value: any) => Promise<any>;
            }, {
                nameOfProperty: string;
                namesOfMulti: never[];
            }, {}, {
                trimString(str: any, maxLength: any): any;
                getTranslationFor: typeof import('../..').getTranslationFor;
                requestURILabel(voc: any, res: any): Promise<undefined>;
            }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
                property: StringConstructor;
                value: ObjectConstructor;
                data: ObjectConstructor;
                inHeader: StringConstructor;
            }>> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
            URLProp: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
                property: StringConstructor;
                value: ObjectConstructor;
                data: ObjectConstructor;
            }>, {}, {
                isEditMode: boolean;
                contentOfProp: string;
            }, {}, {
                showValue(property: any, value: any): boolean;
                editProp(e: any): Promise<void>;
            }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
                property: StringConstructor;
                value: ObjectConstructor;
                data: ObjectConstructor;
            }>> & Readonly<{}>, {}, {}, {
                AppLink: import('vue').DefineSetupFnComponent<Record<string, any>, {}, {}, Record<string, any> & {}, import('vue').PublicProps>;
            }, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
            StringProp: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
                property: StringConstructor;
                value: ObjectConstructor;
                data: ObjectConstructor;
                dpiLocale: StringConstructor;
            }>, {}, {
                availableInLocale: boolean;
                availableLang: never[];
            }, {}, {
                filterDateFormatEU(date: any): any;
            }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
                property: StringConstructor;
                value: ObjectConstructor;
                data: ObjectConstructor;
                dpiLocale: StringConstructor;
            }>> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
            SpecialProp: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
                property: StringConstructor;
                value: ObjectConstructor;
                data: ObjectConstructor;
                dpiLocale: StringConstructor;
            }>, {}, {}, {}, {
                manualSwitch(propData: any, head: any): false | "head" | "auto" | "man" | "liMan" | "liAuto" | undefined;
                showMultilingualValue(property: any, value: any): boolean | "";
                checkadms(str: any): boolean | undefined;
                showValue(property: any, value: any): boolean | undefined;
                filterDateFormatEU(date: any): string;
                convertTemporalResolution(data: any): string;
            }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
                property: StringConstructor;
                value: ObjectConstructor;
                data: ObjectConstructor;
                dpiLocale: StringConstructor;
            }>> & Readonly<{}>, {}, {}, {
                AppLink: import('vue').DefineSetupFnComponent<Record<string, any>, {}, {}, Record<string, any> & {}, import('vue').PublicProps>;
                URIProp: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
                    property: StringConstructor;
                    value: ObjectConstructor;
                    data: ObjectConstructor;
                    inHeader: StringConstructor;
                }>, {
                    requestResourceName: (options: {
                        voc: string;
                        uri: string;
                        envs: any;
                    }) => Promise<any>;
                    getURILabel: (value: any) => Promise<any>;
                }, {
                    nameOfProperty: string;
                    namesOfMulti: never[];
                }, {}, {
                    trimString(str: any, maxLength: any): any;
                    getTranslationFor: typeof import('../..').getTranslationFor;
                    requestURILabel(voc: any, res: any): Promise<undefined>;
                }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
                    property: StringConstructor;
                    value: ObjectConstructor;
                    data: ObjectConstructor;
                    inHeader: StringConstructor;
                }>> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
            }, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
            MultilingualProp: import('vue').DefineComponent<{}, {
                value?: Record<string, any> | undefined;
                data?: Record<string, any> | undefined;
                property?: Record<string, any> | undefined;
                dpiLocale?: Record<string, any> | undefined;
                $props: {
                    readonly value?: Record<string, any> | undefined;
                    readonly data?: Record<string, any> | undefined;
                    readonly property?: Record<string, any> | undefined;
                    readonly dpiLocale?: Record<string, any> | undefined;
                };
            }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        }, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        DistributionOverview: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            dpiLocale: StringConstructor;
            distributions: {
                required: true;
            };
        }>, {}, {
            tableProperties: {
                'dct:format': {
                    type: string;
                    voc: string;
                    label: string;
                };
                'dcat:downloadURL': {
                    type: string;
                    voc: string;
                    label: string;
                };
                'dcat:accessService': {
                    type: string;
                    voc: string;
                    label: string;
                };
                'dct:license': {
                    type: string;
                    voc: string;
                    label: string;
                };
                'dct:issued': {
                    type: string;
                    voc: string;
                    label: string;
                };
                'dct:modified': {
                    type: string;
                    voc: string;
                    label: string;
                };
                'dct:type': {
                    type: string;
                    voc: string;
                    label: string;
                };
                'dcat:mediaType': {
                    type: string;
                    voc: string;
                    label: string;
                };
                'dcatap:availability': {
                    type: string;
                    voc: string;
                    label: string;
                };
                'dcat:byteSize': {
                    type: string;
                    voc: string;
                    label: string;
                };
                'dcat:packageFormat': {
                    type: string;
                    voc: string;
                    label: string;
                };
                'dcat:compressFormat': {
                    type: string;
                    voc: string;
                    label: string;
                };
                'adms:status': {
                    type: string;
                    voc: string;
                    label: string;
                };
                'dcat:spatialResolutionInMeters': {
                    type: string;
                    voc: string;
                    label: string;
                };
                'dcat:temporalResolution': {
                    type: string;
                    voc: string;
                    label: string;
                };
                'dct:conformsTo': {
                    type: string;
                    voc: string;
                    label: string;
                };
                'dct:language': {
                    type: string;
                    voc: string;
                    label: string;
                };
                'dct:rights': {
                    type: string;
                    voc: string;
                    label: string;
                };
                'foaf:page': {
                    type: string;
                    voc: string;
                    label: string;
                };
                'odrl:hasPolicy': {
                    type: string;
                    voc: string;
                    label: string;
                };
                'spdx:checksum': {
                    type: string;
                    voc: string;
                    label: string;
                };
                'dcatde:licenseAttributionByText': {
                    type: string;
                    voc: string;
                    label: string;
                };
            };
        }, {
            distributionList(): {}[];
            getData: import('vuex').Computed;
        }, {
            truncate: typeof import('../..').truncate;
            getDistributionFormat(distribution: any): any;
            showValue(property: any, value: any): boolean;
            unfoldDisDetails(e: any): void;
        }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            dpiLocale: StringConstructor;
            distributions: {
                required: true;
            };
        }>> & Readonly<{}>, {}, {}, {
            PropertyEntry: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
                profile: StringConstructor;
                data: ObjectConstructor;
                property: StringConstructor;
                value: ObjectConstructor;
                dpiLocale: StringConstructor;
                distId: NumberConstructor;
                type: StringConstructor;
                inHeader: StringConstructor;
            }>, {}, {}, {
                isSet(): boolean;
            }, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
                profile: StringConstructor;
                data: ObjectConstructor;
                property: StringConstructor;
                value: ObjectConstructor;
                dpiLocale: StringConstructor;
                distId: NumberConstructor;
                type: StringConstructor;
                inHeader: StringConstructor;
            }>> & Readonly<{}>, {}, {}, {
                URIProp: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
                    property: StringConstructor;
                    value: ObjectConstructor;
                    data: ObjectConstructor;
                    inHeader: StringConstructor;
                }>, {
                    requestResourceName: (options: {
                        voc: string;
                        uri: string;
                        envs: any;
                    }) => Promise<any>;
                    getURILabel: (value: any) => Promise<any>;
                }, {
                    nameOfProperty: string;
                    namesOfMulti: never[];
                }, {}, {
                    trimString(str: any, maxLength: any): any;
                    getTranslationFor: typeof import('../..').getTranslationFor;
                    requestURILabel(voc: any, res: any): Promise<undefined>;
                }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
                    property: StringConstructor;
                    value: ObjectConstructor;
                    data: ObjectConstructor;
                    inHeader: StringConstructor;
                }>> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
                URLProp: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
                    property: StringConstructor;
                    value: ObjectConstructor;
                    data: ObjectConstructor;
                }>, {}, {
                    isEditMode: boolean;
                    contentOfProp: string;
                }, {}, {
                    showValue(property: any, value: any): boolean;
                    editProp(e: any): Promise<void>;
                }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
                    property: StringConstructor;
                    value: ObjectConstructor;
                    data: ObjectConstructor;
                }>> & Readonly<{}>, {}, {}, {
                    AppLink: import('vue').DefineSetupFnComponent<Record<string, any>, {}, {}, Record<string, any> & {}, import('vue').PublicProps>;
                }, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
                StringProp: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
                    property: StringConstructor;
                    value: ObjectConstructor;
                    data: ObjectConstructor;
                    dpiLocale: StringConstructor;
                }>, {}, {
                    availableInLocale: boolean;
                    availableLang: never[];
                }, {}, {
                    filterDateFormatEU(date: any): any;
                }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
                    property: StringConstructor;
                    value: ObjectConstructor;
                    data: ObjectConstructor;
                    dpiLocale: StringConstructor;
                }>> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
                SpecialProp: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
                    property: StringConstructor;
                    value: ObjectConstructor;
                    data: ObjectConstructor;
                    dpiLocale: StringConstructor;
                }>, {}, {}, {}, {
                    manualSwitch(propData: any, head: any): false | "head" | "auto" | "man" | "liMan" | "liAuto" | undefined;
                    showMultilingualValue(property: any, value: any): boolean | "";
                    checkadms(str: any): boolean | undefined;
                    showValue(property: any, value: any): boolean | undefined;
                    filterDateFormatEU(date: any): string;
                    convertTemporalResolution(data: any): string;
                }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
                    property: StringConstructor;
                    value: ObjectConstructor;
                    data: ObjectConstructor;
                    dpiLocale: StringConstructor;
                }>> & Readonly<{}>, {}, {}, {
                    AppLink: import('vue').DefineSetupFnComponent<Record<string, any>, {}, {}, Record<string, any> & {}, import('vue').PublicProps>;
                    URIProp: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
                        property: StringConstructor;
                        value: ObjectConstructor;
                        data: ObjectConstructor;
                        inHeader: StringConstructor;
                    }>, {
                        requestResourceName: (options: {
                            voc: string;
                            uri: string;
                            envs: any;
                        }) => Promise<any>;
                        getURILabel: (value: any) => Promise<any>;
                    }, {
                        nameOfProperty: string;
                        namesOfMulti: never[];
                    }, {}, {
                        trimString(str: any, maxLength: any): any;
                        getTranslationFor: typeof import('../..').getTranslationFor;
                        requestURILabel(voc: any, res: any): Promise<undefined>;
                    }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
                        property: StringConstructor;
                        value: ObjectConstructor;
                        data: ObjectConstructor;
                        inHeader: StringConstructor;
                    }>> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
                }, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
                MultilingualProp: import('vue').DefineComponent<{}, {
                    value?: Record<string, any> | undefined;
                    data?: Record<string, any> | undefined;
                    property?: Record<string, any> | undefined;
                    dpiLocale?: Record<string, any> | undefined;
                    $props: {
                        readonly value?: Record<string, any> | undefined;
                        readonly data?: Record<string, any> | undefined;
                        readonly property?: Record<string, any> | undefined;
                        readonly dpiLocale?: Record<string, any> | undefined;
                    };
                }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
            }, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        }, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    }, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    CatalogueOverview: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        dpiLocale: StringConstructor;
    }>, {}, {
        tableProperties: {
            'dct:publisher': {
                type: string;
                voc: string;
                label: string;
            };
            'foaf:homepage': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:language': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:license': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:spatial': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:creator': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:hasPart': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:isPartOf': {
                type: string;
                voc: string;
                label: string;
            };
            'dcat:catalog': {
                type: string;
                voc: string;
                label: string;
            };
            'dct:rights': {
                type: string;
                voc: string;
                label: string;
            };
        };
    }, {
        getData: import('vuex').Computed;
    }, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        dpiLocale: StringConstructor;
    }>> & Readonly<{}>, {}, {}, {
        PropertyEntry: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            profile: StringConstructor;
            data: ObjectConstructor;
            property: StringConstructor;
            value: ObjectConstructor;
            dpiLocale: StringConstructor;
            distId: NumberConstructor;
            type: StringConstructor;
            inHeader: StringConstructor;
        }>, {}, {}, {
            isSet(): boolean;
        }, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            profile: StringConstructor;
            data: ObjectConstructor;
            property: StringConstructor;
            value: ObjectConstructor;
            dpiLocale: StringConstructor;
            distId: NumberConstructor;
            type: StringConstructor;
            inHeader: StringConstructor;
        }>> & Readonly<{}>, {}, {}, {
            URIProp: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
                property: StringConstructor;
                value: ObjectConstructor;
                data: ObjectConstructor;
                inHeader: StringConstructor;
            }>, {
                requestResourceName: (options: {
                    voc: string;
                    uri: string;
                    envs: any;
                }) => Promise<any>;
                getURILabel: (value: any) => Promise<any>;
            }, {
                nameOfProperty: string;
                namesOfMulti: never[];
            }, {}, {
                trimString(str: any, maxLength: any): any;
                getTranslationFor: typeof import('../..').getTranslationFor;
                requestURILabel(voc: any, res: any): Promise<undefined>;
            }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
                property: StringConstructor;
                value: ObjectConstructor;
                data: ObjectConstructor;
                inHeader: StringConstructor;
            }>> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
            URLProp: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
                property: StringConstructor;
                value: ObjectConstructor;
                data: ObjectConstructor;
            }>, {}, {
                isEditMode: boolean;
                contentOfProp: string;
            }, {}, {
                showValue(property: any, value: any): boolean;
                editProp(e: any): Promise<void>;
            }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
                property: StringConstructor;
                value: ObjectConstructor;
                data: ObjectConstructor;
            }>> & Readonly<{}>, {}, {}, {
                AppLink: import('vue').DefineSetupFnComponent<Record<string, any>, {}, {}, Record<string, any> & {}, import('vue').PublicProps>;
            }, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
            StringProp: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
                property: StringConstructor;
                value: ObjectConstructor;
                data: ObjectConstructor;
                dpiLocale: StringConstructor;
            }>, {}, {
                availableInLocale: boolean;
                availableLang: never[];
            }, {}, {
                filterDateFormatEU(date: any): any;
            }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
                property: StringConstructor;
                value: ObjectConstructor;
                data: ObjectConstructor;
                dpiLocale: StringConstructor;
            }>> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
            SpecialProp: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
                property: StringConstructor;
                value: ObjectConstructor;
                data: ObjectConstructor;
                dpiLocale: StringConstructor;
            }>, {}, {}, {}, {
                manualSwitch(propData: any, head: any): false | "head" | "auto" | "man" | "liMan" | "liAuto" | undefined;
                showMultilingualValue(property: any, value: any): boolean | "";
                checkadms(str: any): boolean | undefined;
                showValue(property: any, value: any): boolean | undefined;
                filterDateFormatEU(date: any): string;
                convertTemporalResolution(data: any): string;
            }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
                property: StringConstructor;
                value: ObjectConstructor;
                data: ObjectConstructor;
                dpiLocale: StringConstructor;
            }>> & Readonly<{}>, {}, {}, {
                AppLink: import('vue').DefineSetupFnComponent<Record<string, any>, {}, {}, Record<string, any> & {}, import('vue').PublicProps>;
                URIProp: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
                    property: StringConstructor;
                    value: ObjectConstructor;
                    data: ObjectConstructor;
                    inHeader: StringConstructor;
                }>, {
                    requestResourceName: (options: {
                        voc: string;
                        uri: string;
                        envs: any;
                    }) => Promise<any>;
                    getURILabel: (value: any) => Promise<any>;
                }, {
                    nameOfProperty: string;
                    namesOfMulti: never[];
                }, {}, {
                    trimString(str: any, maxLength: any): any;
                    getTranslationFor: typeof import('../..').getTranslationFor;
                    requestURILabel(voc: any, res: any): Promise<undefined>;
                }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
                    property: StringConstructor;
                    value: ObjectConstructor;
                    data: ObjectConstructor;
                    inHeader: StringConstructor;
                }>> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
            }, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
            MultilingualProp: import('vue').DefineComponent<{}, {
                value?: Record<string, any> | undefined;
                data?: Record<string, any> | undefined;
                property?: Record<string, any> | undefined;
                dpiLocale?: Record<string, any> | undefined;
                $props: {
                    readonly value?: Record<string, any> | undefined;
                    readonly data?: Record<string, any> | undefined;
                    readonly property?: Record<string, any> | undefined;
                    readonly dpiLocale?: Record<string, any> | undefined;
                };
            }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        }, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    }, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
