import { mapGetters as w } from "vuex";
import h from "./PropertyEntry.vue.mjs";
import { has as k, isNil as D, isEmpty as _ } from "lodash-es";
import { truncate as I } from "../../../utils/helpers.mjs";
import S from "../../utils/general-helper.mjs";
import { resolveComponent as R, openBlock as t, createElementBlock as a, createElementVNode as l, toDisplayString as n, createTextVNode as d, Fragment as v, renderList as y, createVNode as b, createCommentVNode as f } from "vue";
import "./DistributionOverview.vue2.mjs";
import U from "../../../_virtual/_plugin-vue_export-helper.mjs";
const C = {
  props: {
    dpiLocale: String,
    distributions: {
      required: !0
    }
  },
  components: {
    PropertyEntry: h
  },
  computed: {
    ...w("dpiStore", [
      "getData"
    ]),
    distributionList() {
      let s = [];
      for (let e = 0; e < this.distributions.length; e++)
        s.push(S.mergeNestedObjects(this.distributions[e]));
      return s;
    }
  },
  mounted() {
  },
  methods: {
    truncate: I,
    getDistributionFormat(s) {
      try {
        return s["dct:format"].name;
      } catch {
        return "No format provided";
      }
    },
    showValue(s, e) {
      return k(s, e) && !D(s[e]) && !_(s[e]);
    },
    unfoldDisDetails(s) {
      document.getElementsByClassName("tdWrap")[s].classList.toggle("dropShdw"), document.getElementsByClassName("bi-chevron-down")[s].classList.toggle("turnChev"), document.getElementsByClassName("disInfoWrap")[s].classList.toggle("openDisDetails");
    }
  },
  data() {
    return {
      tableProperties: {
        "dct:format": { type: "singularURI", voc: "file-type", label: "message.metadata.format" },
        "dcat:downloadURL": { type: "multiURL", voc: "", label: "message.metadata.downloadUrl" },
        "dcat:accessService": { type: "special", voc: "", label: "message.dataupload.distributions.accessService.label" },
        "dct:license": { type: "special", voc: "", label: "message.metadata.license" },
        "dct:issued": { type: "date", voc: "", label: "message.metadata.created" },
        "dct:modified": { type: "date", voc: "", label: "message.metadata.updated" },
        "dct:type": { type: "singularURI", voc: "distribution-type", label: "message.metadata.type" },
        "dcat:mediaType": { type: "singularURI", voc: "iana-media-types", label: "message.metadata.mediaType" },
        "dcatap:availability": { type: "singularURI", voc: "planned-availability", label: "message.metadata.availability" },
        "dcat:byteSize": { type: "singularString", voc: "", label: "message.metadata.byteSize" },
        "dcat:packageFormat": { type: "singularURI", voc: "iana-media-types", label: "message.metadata.packageFormat" },
        "dcat:compressFormat": { type: "singularURI", voc: "iana-media-types", label: "message.metadata.compressFormat" },
        "adms:status": { type: "singularURI", voc: "dataset-status", label: "message.metadata.status" },
        "dcat:spatialResolutionInMeters": { type: "singularString", voc: "", label: "message.metadata.spatialResolutionInMeters.label" },
        "dcat:temporalResolution": { type: "special", voc: "", label: "message.dataupload.datasets.temporalResolution.label" },
        "dct:conformsTo": { type: "special", voc: "", label: "message.metadata.conformsTo" },
        "dct:language": { type: "multiURI", voc: "language", label: "message.metadata.languages" },
        "dct:rights": { type: "singularString", voc: "", label: "message.metadata.rights" },
        "foaf:page": { type: "special", voc: "", label: "message.dataupload.datasets.page.label" },
        "odrl:hasPolicy": { type: "multiURL", voc: "", label: "message.metadata.hasPolicy" },
        "spdx:checksum": { type: "special", voc: "spdx-checksum-algorithm", label: "message.metadata.checksum" },
        "dcatde:licenseAttributionByText": { type: "multiLingual", voc: "", label: "message.dataupload.distributions.licenseAttributionByText.label" }
      }
    };
  }
}, B = { class: "w-100 disDetailsWrap" }, N = { class: "tHeadWrap" }, E = { class: "" }, P = { class: "" }, W = { class: "" }, T = { class: "" }, F = { class: "" }, M = {
  key: 0,
  class: "tdWrap"
}, V = { key: 0 }, z = { key: 1 }, H = { key: 2 }, x = { key: 3 }, O = { key: 4 }, j = { key: 5 }, A = { key: 6 }, q = { key: 7 }, G = ["onClick"], J = {
  key: 1,
  class: "tdWrap grey"
}, K = { key: 0 }, Q = { key: 1 }, X = { key: 2 }, Y = { key: 3 }, Z = { key: 4 }, $ = { key: 5 }, ee = { key: 6 }, te = { key: 7 }, ae = ["onClick"], se = { class: "disInfoWrap" }, le = {
  key: 0,
  class: "list list-unstyled"
}, oe = { class: "mb-3 disDetails" }, ie = { class: "row bg-light mb-2" }, de = {
  key: 0,
  class: "table table-borderless table-responsive pl-3 bg-light mb-0"
}, ne = { class: "font-weight-bold w-25" }, re = { class: "w-75" }, me = ["href"], ce = { class: "table table-borderless table-responsive pl-3 bg-light" };
function pe(s, e, r, ue, p, c) {
  const u = R("PropertyEntry");
  return t(), a("div", null, [
    l("div", B, [
      l("div", N, [
        l("p", E, n(s.$t("message.dataupload.datasets.distribution.overview.name")), 1),
        e[0] || (e[0] = d()),
        l("p", P, n(s.$t("message.metadata.format")), 1),
        e[1] || (e[1] = d()),
        l("p", W, n(s.$t("message.metadata.updated")), 1),
        e[2] || (e[2] = d()),
        l("p", T, n(s.$t("message.metadata.issued")), 1),
        e[3] || (e[3] = d()),
        l("p", F, n(s.$t("message.dataupload.info.actions")), 1)
      ]),
      e[19] || (e[19] = d()),
      (t(!0), a(v, null, y(c.distributionList, (i, m) => (t(), a("div", {
        key: "distribution" + m
      }, [
        m % 2 == 0 ? (t(), a("div", M, [
          i["dct:title"] != null && i["dct:title"].filter((o) => o["@language"] === r.dpiLocale).map((o) => o["@value"])[0] ? (t(), a("p", V, n(i["dct:title"].filter((o) => o["@language"] === r.dpiLocale).map((o) => o["@value"])[0]), 1)) : (t(), a("p", z, n(s.$t("message.dataupload.datasets.distribution.overview.notitleinthislanguage")), 1)),
          e[5] || (e[5] = d()),
          i["dct:format"] != "" || Object.keys(i["dct:format"]).length != 0 ? (t(), a("p", H, [
            b(u, {
              profile: "distributions",
              data: c.distributionList[m],
              property: "dct:format",
              value: p.tableProperties["dct:format"],
              dpiLocale: r.dpiLocale,
              distId: m,
              inHeader: !0
            }, null, 8, ["data", "value", "dpiLocale", "distId"])
          ])) : (t(), a("p", x, n(s.$t("message.dataupload.datasets.distribution.overview.noformatprovided")), 1)),
          e[6] || (e[6] = d()),
          new Date(i["dct:modified"]["@value"]).toLocaleDateString(r.dpiLocale) != "Invalid Date" ? (t(), a("p", O, n(new Date(i["dct:modified"]["@value"]).toLocaleDateString(r.dpiLocale)), 1)) : (t(), a("p", j, `
                        -
                    `)),
          e[7] || (e[7] = d()),
          new Date(i["dct:issued"]["@value"]).toLocaleDateString(r.dpiLocale) != "Invalid Date" ? (t(), a("p", A, n(new Date(i["dct:issued"]["@value"]).toLocaleDateString(r.dpiLocale)), 1)) : (t(), a("p", q, `
                        -
                    `)),
          e[8] || (e[8] = d()),
          l("p", null, [
            l("a", {
              class: "moreDisInfoBtn",
              onClick: (o) => c.unfoldDisDetails(m)
            }, e[4] || (e[4] = [
              d(`
                            More information
                            `),
              l("svg", {
                xmlns: "http://www.w3.org/2000/svg",
                width: "16",
                height: "16",
                fill: "currentColor",
                class: "bi bi-chevron-down",
                viewBox: "0 0 16 16"
              }, [
                l("path", {
                  "fill-rule": "evenodd",
                  d: "M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z"
                })
              ], -1)
            ]), 8, G)
          ])
        ])) : (t(), a("div", J, [
          i["dct:title"] != null && i["dct:title"].filter((o) => o["@language"] === r.dpiLocale).map((o) => o["@value"])[0] ? (t(), a("p", K, n(i["dct:title"].filter((o) => o["@language"] === r.dpiLocale).map((o) => o["@value"])[0]), 1)) : (t(), a("p", Q, n(s.$t("message.dataupload.datasets.distribution.overview.notitleinthislanguage")), 1)),
          e[10] || (e[10] = d()),
          i["dct:format"] != null ? (t(), a("p", X, [
            b(u, {
              profile: "distributions",
              data: c.distributionList[m],
              property: "dct:format",
              value: p.tableProperties["dct:format"],
              dpiLocale: r.dpiLocale,
              distId: m,
              inHeader: !0
            }, null, 8, ["data", "value", "dpiLocale", "distId"])
          ])) : (t(), a("p", Y, n(s.$t("message.dataupload.datasets.distribution.overview.noformatprovided")), 1)),
          e[11] || (e[11] = d()),
          new Date(i["dct:modified"]["@value"]).toLocaleDateString(r.dpiLocale) != "Invalid Date" ? (t(), a("p", Z, n(new Date(i["dct:modified"]["@value"]).toLocaleDateString(r.dpiLocale)), 1)) : (t(), a("p", $, `
                       -
                   `)),
          e[12] || (e[12] = d()),
          new Date(i["dct:issued"]["@value"]).toLocaleDateString(r.dpiLocale) != "Invalid Date" ? (t(), a("p", ee, n(new Date(i["dct:issued"]["@value"]).toLocaleDateString(r.dpiLocale)), 1)) : (t(), a("p", te, `
                       -
                   `)),
          e[13] || (e[13] = d()),
          l("p", null, [
            l("a", {
              class: "moreDisInfoBtn",
              onClick: (o) => c.unfoldDisDetails(m)
            }, e[9] || (e[9] = [
              d(`
                            More information
                            `),
              l("svg", {
                xmlns: "http://www.w3.org/2000/svg",
                width: "16",
                height: "16",
                fill: "currentColor",
                class: "bi bi-chevron-down",
                viewBox: "0 0 16 16"
              }, [
                l("path", {
                  "fill-rule": "evenodd",
                  d: "M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z"
                })
              ], -1)
            ]), 8, ae)
          ])
        ])),
        e[18] || (e[18] = d()),
        l("div", se, [
          r.distributions.length > 0 ? (t(), a("ul", le, [
            (t(), a("li", {
              class: "disWrapper",
              key: `distribution${m + 1}`
            }, [
              l("span", oe, [
                e[16] || (e[16] = l("span", { class: "row" }, null, -1)),
                e[17] || (e[17] = d()),
                l("span", ie, [
                  c.showValue(i, "dcat:accessURL") ? (t(), a("table", de, [
                    (t(!0), a(v, null, y(i["dcat:accessURL"], (o, g) => (t(), a("tr", { key: g }, [
                      l("td", ne, n(s.$t("message.metadata.accessUrl")) + `:
                                            `, 1),
                      e[14] || (e[14] = d()),
                      l("td", re, [
                        l("a", {
                          href: o["@id"]
                        }, n(o["@id"]), 9, me)
                      ])
                    ]))), 128))
                  ])) : f("", !0),
                  e[15] || (e[15] = d()),
                  l("table", ce, [
                    (t(!0), a(v, null, y(p.tableProperties, (o, g, L) => (t(), a("div", { key: L }, [
                      b(u, {
                        profile: "distributions",
                        data: c.distributionList[m],
                        property: g,
                        value: o,
                        dpiLocale: r.dpiLocale,
                        distId: m
                      }, null, 8, ["data", "property", "value", "dpiLocale", "distId"])
                    ]))), 128))
                  ])
                ])
              ])
            ]))
          ])) : f("", !0)
        ])
      ]))), 128))
    ])
  ]);
}
const ke = /* @__PURE__ */ U(C, [["render", pe]]);
export {
  ke as default
};
//# sourceMappingURL=DistributionOverview.vue.mjs.map
