import { has as n, isNil as h } from "lodash-es";
import { resolveComponent as w, openBlock as u, createElementBlock as c, createElementVNode as s, toDisplayString as e, createTextVNode as a, createVNode as p, withCtx as b, normalizeClass as v, Fragment as _, renderList as L, createCommentVNode as g, createBlock as q } from "vue";
import "../widgets/PvShowMore.vue2.mjs";
import V from "../_virtual/_plugin-vue_export-helper.mjs";
import C from "../widgets/PvBanner.vue.mjs";
import "./DatasetDetailsCSVLinter.vue2.mjs";
const A = {
  name: "datasetDetailsCSVLinter",
  components: {
    PvBanner: C
  },
  props: ["validation"],
  data() {
    return {
      csvLinter: {
        title: this.$t("message.datasetDetails.quality.title"),
        banner: this.$t("message.datasetDetails.quality.banner"),
        limit: this.$t("message.datasetDetails.quality.limit"),
        displayAll: this.$env.content.datasetDetails.quality.csvLinter.displayAll,
        numberOfDisplayedValidationResults: this.$env.content.datasetDetails.quality.csvLinter.numberOfDisplayedValidationResults,
        validationTitle: {
          true: this.$t("message.datasetDetails.quality.validationTitle.success"),
          false: this.$t("message.datasetDetails.quality.validationTitle.error")
        },
        validationDescription: {
          true: this.$t("message.datasetDetails.quality.validationDescription.success"),
          false: this.$t("message.datasetDetails.quality.validationDescription.error")
        }
      }
    };
  },
  computed: {
    showLimit() {
      return n(this.validation, "limit") && !h(this.validation.limit);
    },
    showValidation() {
      return !h(this.validation) && n(this.validation, "passed") && n(this.validation, "errors") && n(this.validation, "warnings") && n(this.validation, "infos");
    },
    useECMore() {
      return this.validationResults.length > this.csvLinter.numberOfDisplayedValidationResults;
    },
    displayedValidationResults() {
      return this.csvLinter.displayAll ? this.validationResults : this.validationResults.slice(0, this.csvLinter.numberOfDisplayedValidationResults);
    },
    validationResults() {
      let i = n(this.validation.errors, "items") ? this.validation.errors.items : [], t = n(this.validation.warnings, "items") ? this.validation.warnings.items : [], o = n(this.validation.infos, "items") ? this.validation.infos.items : [];
      return i.forEach((m) => m.type = this.$tc("message.datasetDetails.quality.error", 1)), t.forEach((m) => m.type = this.$tc("message.datasetDetails.quality.warning", 1)), o.forEach((m) => m.type = this.$tc("message.datasetDetails.quality.message", 1)), i.concat(t).concat(o);
    },
    validationCount() {
      let i = n(this.validation.errors, "count") ? this.validation.errors.count : 0, t = n(this.validation.warnings, "count") ? this.validation.warnings.count : 0, o = n(this.validation.infos, "count") ? this.validation.infos.count : 0;
      return {
        errors: i,
        warnings: t,
        infos: o
      };
    }
  },
  methods: {
    has: n,
    isNil: h,
    toggleDisplayAll() {
      this.csvLinter.displayAll = !this.csvLinter.displayAll;
    },
    getValidationResultIcon(i) {
      return i === !0 ? "check_circle" : i === !1 ? "disabled_by_default" : "info";
    },
    getValidationStatus(i) {
      return i === !0 ? "success" : i === !1 ? "error" : "info";
    },
    getBorderStyle(i) {
      return i > 0 ? "border-top" : "";
    },
    getBGStyle(i) {
      return i === "Error" ? "bg-red" : i === "Warning" ? "bg-orange" : i === "Message" ? "bg-blue" : "bg-white";
    }
  }
}, k = {
  key: 0,
  class: "dsd-distribution-quality-csv row"
}, S = { class: "col-12 mt-5 mb-3 font-weight-bold" }, B = { class: "col-12" }, E = { class: "col-7" }, N = { class: "row mt-2" }, T = { class: "col-1 mt-4" }, x = { class: "col-11" }, M = { class: "font-weight-bold" }, O = { class: "col-5" }, I = { class: "row mt-4" }, R = { class: "col-12 text-center heading-1 color-red" }, G = { class: "col-12 text-center heading-1 color-orange" }, z = { class: "col-12 text-center heading-1 color-blue" }, F = { class: "col-12 text-center heading-4 color-red" }, P = { class: "col-12 text-center heading-4 color-orange" }, W = { class: "col-12 text-center heading-4 color-blue" }, j = { class: "col-12 mt-3" }, H = { class: "row" }, J = { class: "col-3" }, K = { class: "col-9 mt-3" }, Q = { class: "font-weight-bold mt-1" }, U = {
  key: 0,
  class: "small"
}, X = {
  key: 1,
  class: "small"
}, Y = {
  key: 0,
  class: "col-12"
};
function Z(i, t, o, m, d, l) {
  const y = w("pv-banner"), D = w("pv-show-more");
  return l.showValidation ? (u(), c("div", k, [
    s("h4", S, e(d.csvLinter.title), 1),
    t[10] || (t[10] = a()),
    s("div", B, [
      p(y, null, {
        default: b(() => [
          a(e(d.csvLinter.banner), 1)
        ]),
        _: 1
      })
    ]),
    t[11] || (t[11] = a()),
    s("div", E, [
      s("div", {
        class: v(["p-3 csv-validation-box", l.getValidationStatus(o.validation.passed)])
      }, [
        s("div", N, [
          s("div", T, [
            s("i", {
              class: v(["material-icons", l.getValidationStatus(o.validation.passed)])
            }, e(l.getValidationResultIcon(o.validation.passed)), 3)
          ]),
          t[1] || (t[1] = a()),
          s("div", x, [
            s("h5", M, e(d.csvLinter.validationTitle[o.validation.passed]), 1),
            t[0] || (t[0] = a()),
            s("p", null, e(d.csvLinter.validationDescription[o.validation.passed]), 1)
          ])
        ])
      ], 2)
    ]),
    t[12] || (t[12] = a()),
    s("div", O, [
      s("table", I, [
        s("tbody", null, [
          s("tr", null, [
            s("td", R, e(l.validationCount.errors), 1),
            t[2] || (t[2] = a()),
            s("td", G, e(l.validationCount.warnings), 1),
            t[3] || (t[3] = a()),
            s("td", z, e(l.validationCount.infos), 1)
          ]),
          t[6] || (t[6] = a()),
          s("tr", null, [
            s("td", F, e(i.$tc("message.datasetDetails.quality.error", 2)), 1),
            t[4] || (t[4] = a()),
            s("td", P, e(i.$tc("message.datasetDetails.quality.warning", 2)), 1),
            t[5] || (t[5] = a()),
            s("td", W, e(i.$tc("message.datasetDetails.quality.message", 2)), 1)
          ])
        ])
      ])
    ]),
    t[13] || (t[13] = a()),
    s("span", j, [
      a(e(i.$t("message.datasetDetails.quality.totalRows")) + ": ", 1),
      s("strong", null, e(o.validation.rowCount), 1)
    ]),
    t[14] || (t[14] = a()),
    (u(!0), c(_, null, L(l.displayedValidationResults, (r, f) => (u(), c("div", {
      class: v(["col-12 csv-result-details", l.getBorderStyle(f)]),
      key: f
    }, [
      s("div", H, [
        s("div", J, [
          s("div", {
            class: v(["my-4 px-5 tag", l.getBGStyle(r.type)])
          }, e(r.type), 3)
        ]),
        t[9] || (t[9] = a()),
        s("div", K, [
          s("h5", Q, e(r.message_header), 1),
          t[7] || (t[7] = a()),
          s("div", null, e(r.message), 1),
          t[8] || (t[8] = a()),
          r.row > -1 && r.column > -1 ? (u(), c("div", U, e(i.$t("message.datasetDetails.quality.row")) + ": " + e(r.row) + ", " + e(i.$t("message.datasetDetails.quality.column")) + ": " + e(r.column), 1)) : r.row > -1 && r.column === -1 ? (u(), c("div", X, e(i.$t("message.datasetDetails.quality.row")) + ": " + e(r.row), 1)) : g("", !0)
        ])
      ])
    ], 2))), 128)),
    t[15] || (t[15] = a()),
    l.showLimit ? (u(), c("div", Y, [
      p(y, null, {
        default: b(() => [
          a(e(`${d.csvLinter.limit} ${o.validation.limit}`), 1)
        ]),
        _: 1
      })
    ])) : g("", !0),
    t[16] || (t[16] = a()),
    l.useECMore ? (u(), q(D, {
      key: 1,
      class: "col-12 text-primary mb-3 mt-5",
      label: d.csvLinter.displayAll ? i.$t("message.metadata.showLess") : i.$t("message.metadata.showMore"),
      upArrow: d.csvLinter.displayAll,
      action: () => l.toggleDisplayAll()
    }, null, 8, ["label", "upArrow", "action"])) : g("", !0)
  ])) : g("", !0);
}
const lt = /* @__PURE__ */ V(A, [["render", Z], ["__scopeId", "data-v-bd3fb380"]]);
export {
  lt as default
};
//# sourceMappingURL=DatasetDetailsCSVLinter.vue.mjs.map
