import { mapGetters as C } from "vuex";
import { onUnmounted as _, resolveComponent as I, openBlock as m, createElementBlock as h, createBlock as y, withCtx as F, createElementVNode as l, createTextVNode as w, toDisplayString as u, normalizeStyle as S, createCommentVNode as f } from "vue";
import { useRouter as U } from "vue-router";
import { has as T, isNil as M } from "lodash-es";
import O from "axios";
import { saveAs as R } from "file-saver";
import k from "jquery";
import { getTranslationFor as Z } from "../../utils/helpers.mjs";
import x from "../../_virtual/_plugin-vue_export-helper.mjs";
const $ = {
  name: "DownloadAllDistributions",
  props: [
    "getDistributionDescription",
    "getDistributionTitle",
    "openModal",
    "isUrlInvalid",
    "showDownloadUrls",
    "primary",
    "small"
  ],
  computed: {
    ...C("datasetDetails", [
      "getDistributions",
      "getTitle",
      "getCatalog",
      "getLanguages"
    ]),
    files() {
      const s = (t) => t.lastIndexOf(".") !== -1 ? t.substring(0, t.lastIndexOf(".")) : t, e = (t) => {
        if (T(t, "format.id") && !M(t.format.id)) {
          const a = t.format.id;
          return a.lastIndexOf(".") === -1 ? a.toLowerCase() : a.substring(a.lastIndexOf(".") + 1, a.length).toLowerCase();
        }
        return "";
      }, r = (t, a) => `${s(this.getDistributionTitle(t)).substring(0, this.bulkDownload.MAX_FILE_TITLE_LENGTH).replace(/\//g, " ").trim()}-${a}` || `${s(this.getDistributionDescription(t)).substring(0, this.bulkDownload.MAX_FILE_TITLE_LENGTH).replace(/\//g, " ").trim()}-${a}`, i = (t) => this.showDownloadUrls(t) ? { accessUrl: `${t.accessUrl[0]}`, downloadUrl: `${t.downloadUrls[0]}` } : { accessUrl: `${t.accessUrl[0]}` }, o = (t) => this.getDistributionTitle(t).replace(/,/g, "") || this.getDistributionDescription(t).replace(/,/g, "");
      return this.getDistributions.map((t, a) => ({
        title: r(t, a + 1),
        ...i(t),
        format: e(t),
        csvReportTitle: o(t)
      }));
    }
  },
  data() {
    return {
      downloadedFilesCounter: 0,
      numberOfFilesToZip: 0,
      downloadProgress: 0,
      failedDownloads: 0,
      isGeneratingZip: !1,
      isGeneratingZipDone: !1,
      isLoadingAllDistributionFiles: !1,
      cancelDownloadAllAxiosRequestSource: null,
      isDownloadAllDistributionsCanceled: !1,
      downloadAllSuccess: !1,
      downloadAllError: !1,
      bulkDownload: {
        MAX_FILE_TITLE_LENGTH: this.$env.content.datasetDetails.bulkDownload.MAX_FILE_TITLE_LENGTH,
        TIMEOUT_MS: this.$env.content.datasetDetails.bulkDownload.TIMEOUT_MS
      }
    };
  },
  methods: {
    getTranslationFor: Z,
    async fetchDistributionFiles(s, e, r, i) {
      const o = [];
      let d = `filename,status, issue_cause downloadURL, issue_cause accessURL
`, t;
      const a = ["wms", "wfs"], L = O.CancelToken;
      this.cancelDownloadAllAxiosRequestSource = L.source();
      const b = this.$bulkDownloadAxiosInstance, A = { responseType: "blob", cancelToken: this.cancelDownloadAllAxiosRequestSource.token, timeout: this.bulkDownload.TIMEOUT_MS }, E = e.map(async (n) => {
        const v = a.find((g) => g === n.format);
        if (v)
          o.push([n.csvReportTitle, "issue", `We can't download ${v} files using the download all button. Please try to download this file using the download button next to the file name.`]);
        else {
          let g = !0, p, D = n.format;
          T(n, "downloadUrl") ? p = await b.get(n.downloadUrl, A).then((c) => c.status === 200 ? (g = !1, !n.format.length > 0 && (D = i(c.headers["content-type"])), o.push([n.csvReportTitle, "delivered"]), c.data) : Promise.reject(new Error(c.statusText))).catch((c) => {
            g = !0, t = c;
          }) : t = "no download url available", this.isUrlInvalid(n.downloadUrl) && o.push([n.csvReportTitle, "issue", "url is invalid"]), g && (p = await b.get(n.accessUrl, A).then((c) => c.status === 200 ? (g = !1, n.format.length > 0 && (D = i(c.headers["content-type"])), o.push([n.csvReportTitle, "delivered", t]), c.data) : Promise.reject(new Error(c.statusText))).catch((c) => {
            g = !0, o.push([n.csvReportTitle, "issue", t, c]);
          })), g || r.file(`${n.title}.${D}`, p, { binary: !0 }), this.isDownloadAllDistributionsCanceled ? (this.downloadedFilesCounter = 0, this.downloadProgress = 0, this.failedDownloads = 0) : (this.downloadedFilesCounter += 1, this.downloadProgress = Math.floor(100 * this.downloadedFilesCounter / this.getDistributions.length), g && (this.failedDownloads += 1));
        }
      });
      await Promise.all(E), o.forEach((n) => {
        d += n.join(","), d += `
`;
      }), s.file("file_report.csv", d, { binary: !0 });
    },
    hideDownloadAllModal() {
      k("#downloadAllModal").modal("hide");
    },
    generateAndSaveZip(s, e) {
      this.isDownloadAllDistributionsCanceled || (this.numberOfFilesToZip = Object.keys(s.files).length, this.isGeneratingZip = !0);
      class r {
        constructor(o) {
          this.message = o, this.name = "UserInterruptException";
        }
      }
      s.generateAsync({ type: "blob", compression: "DEFLATE" }, () => {
        if (this.isDownloadAllDistributionsCanceled)
          throw new r("user canceled generate zip operation");
      }).then((i) => {
        this.isGeneratingZip = !1, this.isGeneratingZipDone = !0, this.isLoadingAllDistributionFiles = !1, this.downloadAllSuccess = !0, R(i, e);
      }).catch((i) => {
        this.isGeneratingZip = !1, this.isDownloadAllDistributionsCanceled = !1, this.isLoadingAllDistributionFiles = !1, this.downloadAllError = !0, this.downloadedFilesCounter = 0, this.downloadProgress = 0, this.numberOfFilesToZip = 0, console.warn(i);
      });
    },
    cancelDownloadAll(s) {
      s.cancel("user canceled axios operation"), this.isDownloadAllDistributionsCanceled = !0;
    },
    async trackAndDownloadAllDistributions() {
      return this.$piwik && this.$piwik.trackDownload && this.$piwik.trackDownload(
        window.location.href,
        {
          files: JSON.stringify(this.files),
          downloadAll: "true",
          format: "all"
        }
      ), await this.downloadAllDistributions();
    },
    async downloadAllDistributions() {
      k("#downloadAllModal").modal("show"), this.downloadedFilesCounter = 0, this.downloadProgress = 0, this.failedDownloads = 0, this.numberOfFilesToZip = 0, this.isGeneratingZip = !1, this.isGeneratingZipDone = !1, this.isLoadingAllDistributionFiles = !0, this.isDownloadAllDistributionsCanceled = !1, this.downloadAllSuccess = !1, this.downloadAllError = !1;
      const s = (d) => {
        const t = d.lastIndexOf("/") + 1, a = d.indexOf(";") !== -1 ? d.indexOf(";") : d.length;
        return d.substring(t, a);
      }, { default: e } = await import("jszip"), r = new e(), i = `${this.getTranslationFor(this.getTitle, this.$route.query.locale, this.getLanguages)}.zip`, o = r.folder(this.getTranslationFor(this.getCatalog.title, this.$route.query.locale, this.getLanguages));
      await this.fetchDistributionFiles(r, this.files, o, s), await this.generateAndSaveZip(r, i);
    },
    // handle navigation to extern website (cancel bulk download and hide modal)
    beforeWindowUnload(s) {
      this.isLoadingAllDistributionFiles && !this.isDownloadAllDistributionsCanceled && (s.preventDefault(), s.returnValue = "");
    },
    openRessourceAccessPopup() {
      this.openModal(this.trackAndDownloadAllDistributions, !0);
    },
    onClose(s) {
      console.log("CLOSING");
    }
  },
  created() {
    window.addEventListener("beforeunload", this.beforeWindowUnload);
  },
  // mounted() {
  //   setTimeout(() => {
  //     const modal = document.getElementById('externalAccess');
  //     modal.addEventListener('click', function() {
  //       console.log("CLOSING");
  //     });
  //   })
  // },
  beforeUnmount() {
    window.removeEventListener("beforeunload", this.beforeWindowUnload);
  },
  setup() {
    const s = U();
    _(() => {
      s.beforeEach((e, r, i) => {
        this.isLoadingAllDistributionFiles && !this.isDownloadAllDistributionsCanceled ? window.confirm(this.$t("message.datasetDetails.datasets.leavePageWindow.text")) ? (this.hideDownloadAllModal(), this.cancelDownloadAll(this.cancelDownloadAllAxiosRequestSource), i()) : i(!1) : (this.hideDownloadAllModal(), i());
      })();
    });
  }
}, G = {
  key: 0,
  class: "dsd-download-all-distributions-button"
}, P = {
  class: "modal fade",
  "data-backdrop": "static",
  "data-keyboard": "false",
  id: "downloadAllModal",
  ref: "downloadAllModal",
  tabindex: "-1",
  role: "dialog",
  "aria-labelledby": "download progress",
  "aria-hidden": "true"
}, N = {
  class: "modal-dialog",
  role: "document"
}, q = { class: "modal-content" }, j = { class: "modal-header" }, z = { class: "modal-title" }, V = { class: "modal-body" }, W = { class: "progress" }, H = ["aria-valuenow"], X = { class: "d-flex justify-content-between align-items-center" }, B = ["title"], J = { class: "d-flex justify-content-between align-items-center" }, K = { key: 0 }, Q = { key: 1 }, Y = {
  key: 0,
  class: "spinner-grow text-primary",
  role: "status"
}, ee = {
  key: 1,
  class: "material-icons check-icon"
}, te = { class: "modal-footer" }, se = {
  key: 2,
  type: "button",
  class: "btn btn-success",
  "data-dismiss": "modal"
};
function oe(s, e, r, i, o, d) {
  const t = I("pv-button");
  return s.getDistributions.length > 1 && s.getCatalog.is_part_of !== "erpd" ? (m(), h("div", G, [
    o.isLoadingAllDistributionFiles ? (m(), y(t, {
      key: 0,
      small: r.small,
      rounded: !0,
      primary: r.primary,
      download: !0,
      class: "download-all-btn"
    }, {
      default: F(() => [
        e[2] || (e[2] = l("div", { class: "loading-spinner" }, null, -1)),
        w(" " + u(s.$t("message.datasetDetails.datasets.downloadAll")), 1)
      ]),
      _: 1
    }, 8, ["small", "primary"])) : (m(), y(t, {
      key: 1,
      class: "download-all-btn",
      small: r.small,
      rounded: !0,
      primary: r.primary,
      download: !0,
      action: d.openRessourceAccessPopup
    }, {
      default: F(() => [
        w(u(s.$t("message.datasetDetails.datasets.downloadAll")), 1)
      ]),
      _: 1
    }, 8, ["small", "primary", "action"])),
    e[12] || (e[12] = w()),
    l("div", P, [
      l("div", N, [
        l("div", q, [
          l("div", j, [
            l("h3", z, u(s.$t("message.datasetDetails.datasets.modal.downloadProgress")), 1)
          ]),
          e[10] || (e[10] = w()),
          l("div", V, [
            l("div", W, [
              l("div", {
                class: "progress-bar",
                role: "progressbar",
                style: S({ width: `${o.downloadProgress}%` }),
                "aria-valuenow": o.downloadProgress,
                "aria-valuemin": "0",
                "aria-valuemax": "100"
              }, null, 12, H)
            ]),
            e[6] || (e[6] = w()),
            l("div", null, u(s.$t("message.datasetDetails.datasets.modal.downloadingFiles")) + " " + u(o.downloadedFilesCounter.toLocaleString("fi")) + "/" + u(s.getDistributions.length.toLocaleString("fi")), 1),
            e[7] || (e[7] = w()),
            l("div", X, [
              l("div", null, u(s.$t("message.datasetDetails.datasets.modal.notDownloaded")) + " " + u(o.failedDownloads.toLocaleString("fi")), 1),
              e[3] || (e[3] = w()),
              l("i", {
                class: "material-icons help-icon",
                "data-toggle": "tooltip",
                "data-placement": "bottom",
                title: s.$t("message.datasetDetails.datasets.modal.notDownloadedTooltip")
              }, "help", 8, B)
            ]),
            e[8] || (e[8] = w()),
            l("div", J, [
              l("div", null, [
                w(u(s.$t("message.datasetDetails.datasets.modal.zipNumberOfFiles", { number: o.numberOfFilesToZip.toLocaleString("fi") })) + " ", 1),
                o.isLoadingAllDistributionFiles && o.numberOfFilesToZip > 0 ? (m(), h("span", K, u(s.$t("message.datasetDetails.datasets.modal.coupleOfMinutes")), 1)) : o.isLoadingAllDistributionFiles ? (m(), h("span", Q, u(s.$t("message.datasetDetails.datasets.modal.waitingForDownload")), 1)) : f("", !0)
              ]),
              e[5] || (e[5] = w()),
              o.isGeneratingZip ? (m(), h("div", Y, e[4] || (e[4] = [
                l("span", { class: "sr-only" }, "Loading...", -1)
              ]))) : o.isGeneratingZipDone ? (m(), h("i", ee, "check_circle")) : f("", !0)
            ])
          ]),
          e[11] || (e[11] = w()),
          l("div", te, [
            !o.downloadAllSuccess && !o.downloadAllError ? (m(), h("button", {
              key: 0,
              type: "button",
              class: "btn btn-danger",
              "data-dismiss": "modal",
              onClick: e[0] || (e[0] = (a) => d.cancelDownloadAll(o.cancelDownloadAllAxiosRequestSource))
            }, u(s.$t("message.datasetDetails.datasets.modal.cancel")), 1)) : f("", !0),
            e[9] || (e[9] = w()),
            o.downloadAllError ? (m(), h("button", {
              key: 1,
              type: "button",
              class: "btn btn-danger",
              onClick: e[1] || (e[1] = (a) => d.trackAndDownloadAllDistributions())
            }, u(s.$t("message.datasetDetails.datasets.modal.error")), 1)) : o.downloadAllSuccess ? (m(), h("button", se, u(s.$t("message.datasetDetails.datasets.modal.okay")), 1)) : f("", !0)
          ])
        ])
      ])
    ], 512)
  ])) : f("", !0);
}
const me = /* @__PURE__ */ x($, [["render", oe]]);
export {
  me as default
};
//# sourceMappingURL=DownloadAllDistributions.vue.mjs.map
