import O from "./DatasetDetailsKeywords.vue.mjs";
import S from "./DatasetDetailsSubject.vue.mjs";
import j from "./DatasetDetailsPages.vue.mjs";
import F from "./DatasetDetailsVisualisations.vue.mjs";
import A from "./DatasetDetailsDataServices.vue.mjs";
import N from "./DatasetDetailsIsUsedBy.vue.mjs";
import I from "./DatasetDetailsRelations.vue.mjs";
import C from "./DatasetDetailsMap.vue.mjs";
import K from "./DatasetDetailsCategoriesKey.vue.mjs";
import V from "./DatasetDetailsHvdThemes.vue.mjs";
import { mapGetters as h } from "vuex";
import { has as c, isEmpty as _ } from "lodash-es";
import { resolveComponent as n, openBlock as r, createElementBlock as E, renderSlot as o, createTextVNode as i, createBlock as d, createCommentVNode as l } from "vue";
import M from "../../_virtual/_plugin-vue_export-helper.mjs";
const H = {
  name: "DatasetDetailsFeatures",
  components: {
    DatasetDetailsMap: C,
    DatasetDetailsCategoriesKey: K,
    DatasetDetailsRelations: I,
    DatasetDetailsIsUsedBy: N,
    DatasetDetailsDataServices: A,
    DatasetDetailsVisualisations: F,
    DatasetDetailsPages: j,
    DatasetDetailsSubject: S,
    DatasetDetailsKeywords: O,
    DatasetDetailsHvdThemes: V
  },
  props: {
    getKeywords: Array,
    pages: Object,
    increaseNumDisplayedPages: Function,
    nonOverflowingIncrementsForPages: Function,
    showKeyword: Function,
    trackGoto: Function,
    showObjectArray: Function,
    showArray: Function,
    showObject: Function
  },
  data() {
    return {
      keywordsisVisible: this.$env.content.datasetDetails.keywords.isVisible !== !1
    };
  },
  computed: {
    ...h("datasetDetails", [
      "getSubject",
      "getPages",
      "getVisualisations",
      "getDistributions",
      "getExtendedMetadata",
      "getRelations",
      "getCategories",
      "getSpatial",
      "getHvdCategories"
    ]),
    dataset() {
      return this.$store.state.datasetDetails.dataset;
    },
    getDataServices() {
      if (this.getDistributions) {
        const t = this.getDistributions.filter((e) => c(e, "accessService") && !_(e.accessService)).map((e) => ({
          endpoint_url: e.accessService[0].endpoint_url,
          title: e.accessService[0].title,
          description: e.accessService[0].description,
          availability: c(e.accessService[0], "availability") ? e.accessService[0].availability : {}
          // field added for DCAT-AP.de
        }));
        return [...new Map(
          t.filter((e) => {
            var g;
            return (g = e == null ? void 0 : e.endpoint_url) == null ? void 0 : g.length;
          }).map((e) => [
            e.endpoint_url[0],
            e
          ])
        ).values()];
      }
      return [{}];
    }
  }
}, R = { class: "row flex-column dsd-features" };
function B(t, a, e, g, u, s) {
  const m = n("dataset-details-keywords"), y = n("dataset-details-categories-key"), k = n("dataset-details-hvd-themes"), D = n("dataset-details-subject"), f = n("dataset-details-pages"), v = n("dataset-details-visualisations"), w = n("dataset-details-data-services"), b = n("dataset-details-is-used-by"), G = n("dataset-details-relations"), P = n("dataset-details-map");
  return r(), E("div", R, [
    o(t.$slots, "before"),
    a[0] || (a[0] = i()),
    o(t.$slots, "keywords", {
      dataset: s.dataset,
      getKeywords: e.getKeywords,
      trackGoto: e.trackGoto
    }, () => [
      e.showObjectArray(e.getKeywords) && u.keywordsisVisible ? (r(), d(m, {
        key: 0,
        class: "dsd-keywords-feature",
        showKeyword: e.showKeyword
      }, null, 8, ["showKeyword"])) : l("", !0)
    ]),
    a[1] || (a[1] = i()),
    o(t.$slots, "categories", {
      dataset: s.dataset,
      getCategories: t.getCategories,
      trackGoto: e.trackGoto
    }, () => [
      e.showObjectArray(t.getCategories) ? (r(), d(y, {
        key: 0,
        class: "dsd-categories-feature",
        trackGoto: e.trackGoto
      }, null, 8, ["trackGoto"])) : l("", !0)
    ]),
    a[2] || (a[2] = i()),
    o(t.$slots, "hvd", {
      dataset: s.dataset,
      getHvdCategories: t.getHvdCategories,
      trackGoto: e.trackGoto
    }, () => [
      e.showObjectArray(t.getHvdCategories) ? (r(), d(k, {
        key: 0,
        class: "dsd-categories-feature",
        trackGoto: e.trackGoto
      }, null, 8, ["trackGoto"])) : l("", !0)
    ]),
    a[3] || (a[3] = i()),
    o(t.$slots, "subject", {
      dataset: s.dataset,
      getSubject: t.getSubject
    }, () => [
      e.showObjectArray(t.getSubject) ? (r(), d(D, {
        key: 0,
        class: "dsd-subject-feature"
      })) : l("", !0)
    ]),
    a[4] || (a[4] = i()),
    o(t.$slots, "pages", {
      dataset: s.dataset,
      getPages: t.getPages,
      increaseNumDisplayedPages: e.increaseNumDisplayedPages,
      nonOverflowingIncrementsForPages: e.nonOverflowingIncrementsForPages,
      trackGoto: e.trackGoto
    }, () => [
      e.showObjectArray(t.getPages) ? (r(), d(f, {
        key: 0,
        class: "dsd-pages-feature",
        pages: e.pages,
        increaseNumDisplayedPages: e.increaseNumDisplayedPages,
        nonOverflowingIncrementsForPages: e.nonOverflowingIncrementsForPages,
        trackGoto: e.trackGoto
      }, null, 8, ["pages", "increaseNumDisplayedPages", "nonOverflowingIncrementsForPages", "trackGoto"])) : l("", !0)
    ]),
    a[5] || (a[5] = i()),
    o(t.$slots, "visualisations", {
      dataset: s.dataset,
      getVisualisations: t.getVisualisations,
      trackGoto: e.trackGoto
    }, () => [
      e.showObjectArray(t.getVisualisations) ? (r(), d(v, {
        key: 0,
        class: "dsd-visualisations-feature",
        trackGoto: e.trackGoto
      }, null, 8, ["trackGoto"])) : l("", !0)
    ]),
    a[6] || (a[6] = i()),
    o(t.$slots, "data-services", {
      dataset: s.dataset,
      getDataServices: s.getDataServices,
      nonOverflowingIncrementsForPages: e.nonOverflowingIncrementsForPages,
      increaseNumDisplayedPages: e.increaseNumDisplayedPages,
      trackGoto: e.trackGoto
    }, () => [
      e.showObjectArray(s.getDataServices) ? (r(), d(w, {
        key: 0,
        class: "dsd-data-services-feature",
        getDataServices: s.getDataServices,
        nonOverflowingIncrementsForPages: e.nonOverflowingIncrementsForPages,
        increaseNumDisplayedPages: e.increaseNumDisplayedPages,
        trackGoto: e.trackGoto
      }, null, 8, ["getDataServices", "nonOverflowingIncrementsForPages", "increaseNumDisplayedPages", "trackGoto"])) : l("", !0)
    ]),
    a[7] || (a[7] = i()),
    o(t.$slots, "is-used-by", {
      dataset: s.dataset,
      getExtendedMetadata: t.getExtendedMetadata
    }, () => [
      e.showObject(t.getExtendedMetadata) ? (r(), d(b, {
        key: 0,
        class: "dsd-is-used-by"
      })) : l("", !0)
    ]),
    a[8] || (a[8] = i()),
    o(t.$slots, "relations", {
      dataset: s.dataset,
      getRelations: t.getRelations
    }, () => [
      e.showArray(t.getRelations) ? (r(), d(G, {
        key: 0,
        class: "dsd-relations-feature"
      })) : l("", !0)
    ]),
    a[9] || (a[9] = i()),
    o(t.$slots, "map", {
      dataset: s.dataset,
      getSpatial: t.getSpatial
    }, () => [
      e.showObjectArray(t.getSpatial) ? (r(), d(P, {
        key: 0,
        class: "dsd-map-feature"
      })) : l("", !0)
    ]),
    a[10] || (a[10] = i()),
    o(t.$slots, "after", { dataset: s.dataset })
  ]);
}
const ee = /* @__PURE__ */ M(H, [["render", B]]);
export {
  ee as default
};
//# sourceMappingURL=DatasetDetailsFeatures.vue.mjs.map
