import { truncate as g } from "../../utils/helpers.mjs";
import { mapGetters as f } from "vuex";
import { has as u, isString as K } from "lodash-es";
import k from "../../widgets/AppLink.vue.mjs";
import { sortAlphabetically as _ } from "./utils/sortAlphabetically.mjs";
import D from "jquery";
import { resolveComponent as p, openBlock as d, createElementBlock as i, createElementVNode as y, createVNode as b, createTextVNode as h, Fragment as A, renderList as L, createBlock as C, withCtx as v, toDisplayString as x, createCommentVNode as w } from "vue";
import "./DatasetDetailsKeywords.vue2.mjs";
import T from "../../_virtual/_plugin-vue_export-helper.mjs";
const O = {
  name: "DatasetDetailsKeywords",
  components: {
    AppLink: k
    // DatasetDetailsFeatureHeader
  },
  props: {
    showKeyword: Function
  },
  data() {
    return {
      defaultLocale: this.$env.languages.locale,
      showTitle: this.$env.content.datasetDetails.keywords.showTitle,
      defaultDisplayCount: 0,
      keywords: {
        displayAll: this.$env.content.datasetDetails.keywords.collapsed ? this.$env.content.datasetDetails.keywords.collapsed : !1,
        displayCount: 24,
        // Should never exceed number of keywords
        incrementSteps: [12, 60]
      },
      maxKeywordLength: this.$env.content.datasets.maxKeywordLength,
      followKeywordLinks: this.$env.content.datasets.followKeywordLinks
    };
  },
  computed: {
    ...f("datasetDetails", [
      "getKeywords"
    ]),
    displayedKeywords() {
      return this.keywords.displayAll ? Object.freeze(this.sortedKeywords) : Object.freeze(this.sortedKeywords.slice(0, this.keywords.displayCount));
    },
    isKeywordsAllDisplayed() {
      return this.keywords.displayAll;
    },
    remainingKeywords() {
      return this.getKeywords.length - this.keywords.displayCount;
    },
    sortedKeywords() {
      let t = [], s = [], a = {}, n = [];
      const r = this.$route.query.locale, l = this.defaultLocale;
      return this.getKeywords.forEach((e) => u(e, "language") && K(e.language) ? e.language === r ? t.push(e) : e.language === l ? s.push(e) : u(a, e.language) ? a[e.language].push(e) : a[e.language] = [e] : n.push(e)), this.sortAlphabetically(t, "title", r), this.sortAlphabetically(s, "title", l), Object.keys(a).forEach((e) => this.sortAlphabetically(a[e], "title", r || l)), a = Object.keys(a).sort().reduce((e, c) => e.concat(a[c]), []), this.sortAlphabetically(n, "title", r || l), t.concat(s).concat(a).concat(n);
    }
  },
  methods: {
    truncate: g,
    sortAlphabetically: _,
    // Increases the current number of keywords displayed
    // and clamps the result so that it never exceeds the number of all keywords.
    increaseNumDisplayedKeywords(t) {
      const s = this.clamp(this.keywords.displayCount + t, 0, this.getKeywords.length);
      this.keywords.displayCount = s;
    },
    nonOverflowingIncrementsForKeywords(t) {
      return this.keywords.displayCount + t <= this.getKeywords.length;
    },
    keywordTruncated(t) {
      return t.title.length > this.maxKeywordLength;
    },
    clamp(t, s, a) {
      return Math.min(Math.max(t, s), a);
    },
    getKeywordLink(t) {
      return { path: "/datasets", query: Object.assign({}, { keywords: t.id, locale: this.$route.query.locale }) };
    },
    toggleDisplayCount() {
      this.keywords.displayAll = !this.keywords.displayAll, D("body").tooltip({ selector: '[data-toggle="tooltip"]' });
    }
  }
}, j = { class: "mt-2 flex-column dsd-feature" }, N = {
  key: 0,
  class: "keywords__item row mt-4"
}, E = ["data-toggle", "data-placement", "aria-label", "title"];
function S(t, s, a, n, r, l) {
  const e = p("dataset-details-feature-header"), c = p("app-link");
  return d(), i("div", j, [
    y("div", null, [
      b(e, {
        title: "Keywords (" + t.getKeywords.length + ")",
        arrowDown: !l.isKeywordsAllDisplayed,
        tag: "keywords-toggle",
        onClick: l.toggleDisplayCount
      }, null, 8, ["title", "arrowDown", "onClick"])
    ]),
    s[0] || (s[0] = h()),
    l.isKeywordsAllDisplayed ? (d(), i("div", N, [
      (d(!0), i(A, null, L(l.displayedKeywords, (o, m) => (d(), i("span", {
        key: m,
        class: "col-6 col-sm-3 col-md-2 mt-md-0 mt-3 mb-2 px-1"
      }, [
        a.showKeyword(o) && l.isKeywordsAllDisplayed ? (d(), C(c, {
          key: 0,
          to: l.getKeywordLink(o),
          rel: r.followKeywordLinks
        }, {
          default: v(() => [
            y("small", {
              class: "d-inline-block text-nowrap w-100 py-2 rounded-pill text-center tag-color",
              "data-toggle": l.keywordTruncated(o) ? "tooltip" : !1,
              "data-placement": l.keywordTruncated(o) ? "top" : !1,
              "aria-label": o.title,
              title: l.keywordTruncated(o) ? o.title : !1
            }, x(l.truncate(o.title, r.maxKeywordLength, !1)), 9, E)
          ]),
          _: 2
        }, 1032, ["to", "rel"])) : w("", !0)
      ]))), 128))
    ])) : w("", !0),
    s[1] || (s[1] = h()),
    s[2] || (s[2] = y("div", null, null, -1))
  ]);
}
const J = /* @__PURE__ */ T(O, [["render", S], ["__scopeId", "data-v-159ec9cc"]]);
export {
  J as default
};
//# sourceMappingURL=DatasetDetailsKeywords.vue.mjs.map
