import { defineAsyncComponent as c, resolveComponent as i, openBlock as d, createElementBlock as h, createVNode as n, createTextVNode as g, createElementVNode as o, normalizeClass as f } from "vue";
import { isNil as p, isArray as l, isString as _ } from "lodash-es";
import { mapGetters as u } from "vuex";
import { Skeletor as w } from "vue-skeletor";
import "./DatasetDetailsMap.vue2.mjs";
import v from "../../_virtual/_plugin-vue_export-helper.mjs";
const y = c({
  // Lazy-load mapbasic component
  loader: () => import("../../map/MapBasic.vue.mjs"),
  loadingComponent: {
    // Load skeleton while the mapbasic component is loading
    components: { Skeletor: w },
    render: (t) => t(
      "vue-skeletor",
      {
        props: {
          width: {}.content.maps.width,
          height: {}.content.maps.height,
          animation: "fade"
        }
      }
    )
  }
}), b = {
  name: "DatasetDetailsMap",
  components: {
    // DatasetDetailsFeatureHeader,
    MapBasic: y
  },
  data() {
    return {
      mapVisible: this.$env.content.maps.mapVisible,
      maps: {
        location: this.$env.content.maps.location,
        spatialType: this.$env.content.maps.spatialType,
        height: this.$env.content.maps.height,
        width: this.$env.content.maps.width,
        mapContainerId: this.$env.content.maps.mapContainerId
      }
    };
  },
  computed: {
    ...u("datasetDetails", [
      "getSpatial"
    ])
  },
  methods: {
    toggleMap() {
      this.$refs.geocollapse.classList.toggle("show"), this.mapVisible = !this.mapVisible;
    },
    getCoordinates() {
      const t = this.getSpatial[0].coordinates;
      return !p(t) && l(t) && l(t[0]) ? [t[0], this.maps.location[1]] : this.maps.location;
    },
    getSpatialType() {
      const t = this.getSpatial[0].type;
      return !p(t) && _(t) ? t : this.maps.spatialType;
    }
  },
  mounted() {
    this.mapVisible = !this.mapVisible;
  }
}, C = { class: "dsd-feature dsd-map" }, V = { class: "mt-3 w-100 h-100" }, D = { class: "map" };
function S(t, s, k, T, e, a) {
  const r = i("dataset-details-feature-header"), m = i("map-basic");
  return d(), h("div", C, [
    n(r, {
      title: t.$t("message.datasetDetails.geoInfo"),
      arrowDown: !e.mapVisible,
      tag: "geo-info-toggle",
      onClick: a.toggleMap
    }, null, 8, ["title", "arrowDown", "onClick"]),
    s[0] || (s[0] = g()),
    o("div", V, [
      o("div", {
        id: "collapse-geo-info",
        ref: "geocollapse",
        class: f(["collapse", { show: e.mapVisible }]),
        "data-cy": "geo-info"
      }, [
        o("div", D, [
          n(m, {
            location: a.getCoordinates(),
            "spatial-type": a.getSpatialType(),
            height: e.maps.height,
            width: e.maps.width,
            "map-container-id": e.maps.mapContainerId
          }, null, 8, ["location", "spatial-type", "height", "width", "map-container-id"])
        ])
      ], 2)
    ])
  ]);
}
const A = /* @__PURE__ */ v(b, [["render", S], ["__scopeId", "data-v-d5dab2d4"]]);
export {
  A as default
};
//# sourceMappingURL=DatasetDetailsMap.vue.mjs.map
