import { mapGetters as b } from "vuex";
import { has as p, isNil as a, isObject as u } from "lodash-es";
import _ from "../../widgets/AppLink.vue.mjs";
import * as v from "../../utils/helpers.mjs";
import r from "../../filters/dateFilters.mjs";
import y from "./DatasetDetailsHeaderTitle.vue.mjs";
import P from "./DatasetDetailsHeaderCatalogue.vue.mjs";
import N from "../../widgets/PropertyValue.vue.mjs";
import { resolveComponent as o, openBlock as s, createElementBlock as k, createVNode as h, createTextVNode as i, createElementVNode as w, createBlock as f, createCommentVNode as g } from "vue";
import C from "../../_virtual/_plugin-vue_export-helper.mjs";
const { getTranslationFor: F, getCountryFlagImg: $, truncate: V } = v, E = {
  name: "datasetDetailsHeader",
  components: {
    PropertyValue: N,
    DatasetDetailsHeaderCatalogue: P,
    DatasetDetailsHeaderTitle: y,
    AppLink: _
  },
  data() {
    return {
      hidePublisher: this.$env.content.datasetDetails.header.hidePublisher,
      hideDate: this.$env.content.datasetDetails.header.hideDate
    };
  },
  computed: {
    ...b("datasetDetails", [
      "getCatalog",
      "getCountry",
      "getLanguages",
      "getPublisher",
      "getModificationDate"
    ]),
    getPublisherName() {
      return p(this.getPublisher, "name") && !a(this.getPublisher.name) ? this.getPublisher.name : "";
    }
  },
  methods: {
    has: p,
    isNil: a,
    isObject: u,
    truncate: V,
    getTranslationFor: F,
    getCountryFlagImg: $,
    filterDateFormatUS(e) {
      return r.formatUS(e);
    },
    filterDateFormatEU(e) {
      return r.formatEU(e);
    },
    showObject(e) {
      return !a(e) && u(e) && !Object.values(e).reduce((t, l) => t && l === void 0, !0);
    },
    filterDateFromNow(e) {
      return r.fromNow(e);
    }
  }
}, H = { class: "dsd-header" }, O = { class: "d-flex offset-lg-1 col-lg-10 mt-1 px-0 flex-nowrap justify-content-between dsd-header-info" };
function U(e, t, l, j, d, n) {
  const c = o("dataset-details-header-title"), D = o("dataset-details-header-catalogue"), m = o("property-value");
  return s(), k("div", H, [
    h(c),
    t[2] || (t[2] = i()),
    w("div", O, [
      h(D, { class: "mr-2" }),
      t[0] || (t[0] = i()),
      !d.hidePublisher && n.showObject(e.getPublisher) ? (s(), f(m, {
        key: 0,
        property: e.$t("message.metadata.publisher"),
        tooltip: e.$t("message.tooltip.datasetDetails.publisher"),
        value: n.getPublisherName,
        class: "mr-2"
      }, null, 8, ["property", "tooltip", "value"])) : g("", !0),
      t[1] || (t[1] = i()),
      d.hideDate ? g("", !0) : (s(), f(m, {
        key: 1,
        property: e.$t("message.metadata.updated"),
        tooltip: e.$t("message.tooltip.datasetDetails.updated"),
        value: e.getModificationDate,
        isDate: !0
      }, null, 8, ["property", "tooltip", "value"]))
    ])
  ]);
}
const q = /* @__PURE__ */ C(E, [["render", U]]);
export {
  q as default
};
//# sourceMappingURL=DatasetDetailsHeader.vue.mjs.map
