import { mapGetters as r, mapActions as i } from "vuex";
import { resolveComponent as n, openBlock as p, createElementBlock as c, createVNode as l } from "vue";
import g from "../../_virtual/_plugin-vue_export-helper.mjs";
const h = {
  name: "SettingsFacet",
  data() {
    const t = this.$env.content.datasets.facets.FACET_OPERATORS;
    return {
      FACET_OPERATORS: t,
      optionIds: [t.and, t.or],
      optionLabels: [
        this.i18n.global.t("message.datasetFacets.and").toUpperCase(),
        this.i18n.global.t("message.datasetFacets.or").toUpperCase()
      ],
      title: this.i18n.global.t("message.datasetFacets.settings"),
      toolTipTitle: this.i18n.global.t("message.helpIcon.settings"),
      property: this.i18n.global.t("message.datasetFacets.operator")
    };
  },
  computed: {
    ...r("datasets", [
      "getFacetOperator"
    ])
  },
  methods: {
    ...i("datasets", [
      "setFacetOperator",
      "setFacetGroupOperator"
    ]),
    changeFacetOperator(t) {
      this.setFacetOperator(t), this.setFacetGroupOperator(t), this.$router.replace(
        { query: Object.assign({}, this.$route.query, { facetOperator: t }) }
      ).catch(
        (o) => {
          console.error(o);
        }
      );
    },
    change(t) {
      t !== this.getFacetOperator && this.changeFacetOperator(t);
    }
  }
}, d = { class: "settings-facet" };
function m(t, o, F, O, e, s) {
  const a = n("radio-facet");
  return p(), c("div", d, [
    l(a, {
      title: e.title,
      toolTipTitle: e.toolTipTitle,
      property: e.property,
      initialOption: t.getFacetOperator,
      optionIds: e.optionIds,
      optionLabels: e.optionLabels,
      change: s.change
    }, null, 8, ["title", "toolTipTitle", "property", "initialOption", "optionIds", "optionLabels", "change"])
  ]);
}
const T = /* @__PURE__ */ g(h, [["render", m]]);
export {
  T as default
};
//# sourceMappingURL=SettingsFacet.vue.mjs.map
