import { defineComponent as I, resolveComponent as r, openBlock as s, createElementBlock as n, Fragment as l, createVNode as m, createTextVNode as a, createElementVNode as o, toDisplayString as p, createCommentVNode as d, renderList as g, normalizeClass as h } from "vue";
import y from "../datasets/datasetsFacets/DatasetsFacetsItem.vue.mjs";
import b from "./FacetTitle.vue.mjs";
import "./ExpandableSelectFacet.vue2.mjs";
import T from "../_virtual/_plugin-vue_export-helper.mjs";
const k = I({
  name: "ExpandableSelectFacet",
  inheritAttrs: !1,
  components: { FacetTitle: b, DatasetsFacetsItem: y },
  props: {
    header: {
      type: String,
      default: ""
    },
    items: {
      type: Array,
      required: !0
    },
    toolTipTitle: {
      type: String,
      default: ""
    },
    fieldId: {
      type: String,
      default: ""
    },
    getFacetTranslationWrapper: Function,
    facetIsSelected: Function,
    facetClicked: Function
  },
  data() {
    return {
      isExpanded: !1,
      isGrown: !1,
      numItemsAllowed: this.$env.content.datasets.facets.MIN_FACET_LIMIT || 5,
      minItems: this.$env.content.datasets.facets.MIN_FACET_LIMIT || 5,
      maxItems: this.$env.content.datasets.facets.MAX_FACET_LIMIT || 50
    };
  },
  computed: {
    myId() {
      return `facet-${this.fieldId}`;
    },
    myListId() {
      return `facet-list-${this.fieldId}`;
    },
    myTitleId() {
      return `facet-title-${this.fieldId}`;
    }
  },
  methods: {
    handleGrowToggle() {
      this.isGrown = !this.isGrown, this.numItemsAllowed = this.isGrown ? this.maxItems : this.minItems;
    },
    getFacetCount(e) {
      return this.fieldId === "scoring" ? "" : e.count;
    }
  }
}), C = ["aria-labelledby"], F = ["data-target"], $ = { class: "h5 mb-0" }, w = { class: "btn" }, v = {
  key: 0,
  class: "material-icons small-icon expand-more animated"
}, E = {
  key: 1,
  class: "material-icons small-icon expand-less animated"
}, A = ["id"], S = { class: "material-icons align-bottom expand-more animated" };
function G(e, t, L, M, N, V) {
  const c = r("facet-title"), u = r("datasets-facets-item");
  return s(), n("div", {
    class: "list-group col pr-0",
    role: "group",
    "aria-labelledby": e.myTitleId
  }, [
    e.header ? (s(), n(l, { key: 0 }, [
      m(c, {
        title: e.header,
        tooltip: e.toolTipTitle,
        "title-id": e.myTitleId
      }, null, 8, ["title", "tooltip", "title-id"]),
      t[3] || (t[3] = a()),
      o("a", {
        class: "facet-title-mobile d-flex d-md-none list-group-item justify-content-between align-items-baseline",
        "data-toggle": "collapse",
        "data-target": `#${e.myListId}`,
        onClick: t[0] || (t[0] = (i) => e.isExpanded = !e.isExpanded)
      }, [
        o("h2", $, p(e.header), 1),
        t[2] || (t[2] = a()),
        o("button", w, [
          e.isExpanded ? (s(), n("i", E, "expand_less")) : (s(), n("i", v, "expand_more"))
        ])
      ], 8, F)
    ], 64)) : d("", !0),
    t[5] || (t[5] = a()),
    o("div", {
      id: e.myListId,
      class: "collapse dont-collapse-sm"
    }, [
      e.items && e.items.length > 0 ? (s(), n(l, { key: 0 }, [
        (s(!0), n(l, null, g(e.items.slice(0, e.numItemsAllowed), (i, f) => (s(), n("div", {
          class: "list-item-container",
          key: `field@${f}`
        }, [
          m(u, {
            class: h(["d-flex facet list-group-item list-group-item-action justify-content-between align-items-center", { active: e.facetIsSelected(e.fieldId, i) }]),
            title: e.getFacetTranslationWrapper(e.fieldId, i.id, e.$route.query.locale, i.title),
            count: e.getFacetCount(i),
            "hide-count": e.fieldId === "dataScope",
            onClick: (j) => e.facetClicked(e.fieldId, i)
          }, null, 8, ["title", "count", "hide-count", "class", "onClick"])
        ]))), 128)),
        t[4] || (t[4] = a()),
        e.items.length > e.minItems ? (s(), n("button", {
          key: 0,
          class: "d-block btn btn-primary btn-color w-100 facet-expand-button",
          onClick: t[1] || (t[1] = (...i) => e.handleGrowToggle && e.handleGrowToggle(...i))
        }, [
          o("i", S, p(e.isGrown ? "expand_less" : "expand_more"), 1)
        ])) : d("", !0)
      ], 64)) : d("", !0)
    ], 8, A)
  ], 8, C);
}
const z = /* @__PURE__ */ T(k, [["render", G], ["__scopeId", "data-v-598bc210"]]);
export {
  z as default
};
//# sourceMappingURL=ExpandableSelectFacet.vue.mjs.map
