import m from "../widgets/AppLink.vue.mjs";
import "@unhead/vue";
import "merge-anything";
import "../configurations/config-schema/apiSchema.mjs";
import "../configurations/config-schema/authenticationSchema.mjs";
import "../configurations/config-schema/contentSchema.mjs";
import "../configurations/config-schema/routingSchema.mjs";
import "../configurations/config-schema/metadataSchema.mjs";
import "../configurations/config-schema/languagesSchema.mjs";
import "../configurations/config-schema/themesSchema.mjs";
import "../configurations/config-schema/trackerSchema.mjs";
import "../configurations/config-schema/configSchema.mjs";
import { resolveComponent as a, openBlock as d, createElementBlock as l, createElementVNode as o, renderSlot as u, toDisplayString as n, createTextVNode as r, createVNode as s, withCtx as p } from "vue";
import "vue-router";
import "vue-i18n";
import "../utils/helpers.mjs";
import "vuex";
import "lodash-es";
import { useNotFoundHead as f } from "../composables/head/useNotFoundHead.mjs";
import c from "../_virtual/_plugin-vue_export-helper.mjs";
const _ = {
  name: "NotFound",
  components: { AppLink: m },
  mounted() {
    this.$piwik && this.$piwik.trackInteraction("not_found", {
      screen_title: window.title,
      page_url: window.location.href,
      dataset_ID: this.$route.query.dataset || ""
    });
  },
  setup() {
    f();
  }
}, $ = { class: "container-fluid" }, k = { class: "row mt-1 mb-3" }, h = { class: "col-10 offset-1" };
function w(t, e, g, F, N, v) {
  const i = a("app-link");
  return d(), l("div", $, [
    o("div", k, [
      o("div", h, [
        u(t.$slots, "default", {}, () => [
          o("h1", null, n(t.$t("message.notFound.error")) + " 404", 1),
          e[0] || (e[0] = r()),
          o("p", null, [
            s(i, { to: { name: "Datasets" } }, {
              default: p(() => [
                r(n(t.$t("message.notFound.requested.page")), 1)
              ]),
              _: 1
            })
          ]),
          e[1] || (e[1] = r()),
          o("p", null, [
            s(i, {
              href: `/${t.$route.query.locale || "en"}/feedback/form`
            }, {
              default: p(() => [
                r(n(t.$t("message.notFound.contactUsAbout")), 1)
              ]),
              _: 1
            }, 8, ["href"])
          ])
        ])
      ])
    ])
  ]);
}
const K = /* @__PURE__ */ c(_, [["render", w]]);
export {
  K as default
};
//# sourceMappingURL=NotFound.vue.mjs.map
