/**
 * @author Har Preet Singh
 * @created 20.05.19
 * @description
 */
export default class UploadService {
    constructor(baseUrl: any, authToken: any);
    /**
     * @description CREATE a distribution with the given ID.
     * @returns {Promise}
     * @param title dataset title
     * @param catalog catalog
     * @param data json/ld tupple
     * @param token bearer token recieved after login
     */
    upload(title: any, catalog: any, data: any, token: any, uploadData: any): Promise<unknown>;
    /**
     * @description POST a distribution file to upload.
     * @returns {Promise}
     * @param uploadURL upload URL endpoint
     * @param token bearer token recieved after login
     * @param formData from data to be uploaded eg. files
     */
    uploadDistribution(uploadURL: any, token: any, formData: any): Promise<unknown>;
    /**
     * @description DELETE a distribution with the given ID.
     * @returns {Promise}
     * @param title dataset title
     * @param token bearer token recieved after login
     */
    deleteDistribution(title: any, catalog: any, rtpToken: any): Promise<unknown>;
}
